نماذج احتياطية اختيارية ومرتبة تُجرَّب بعد model. الحقل model مطلوب وهو دائمًا النموذج الأساسي. عندما تفشل محاولة بالرمز 429 أو 500 أو 502 أو 503 أو 504، تُجرَّب الإدخالة التالية؛ وتُعاد الأخطاء الأخرى دون تغيير. يقبل ما يصل إلى 25 معرّف نموذج أو إعدادًا مسبقًا؛ وتُتجاهل الإدخالات المكررة والإدخالات المطابقة لـ model. يُتحقق من كل محاولة وتُسجَّل وتُحتسب تكلفتها كطلب مستقل، ويعرض الحقل model في الاستجابة وتتبّع التوجيه النموذج الذي خدم الطلب. لا تنتقل طلبات البث إلى نموذج احتياطي إلا قبل إرسال البايت الأول، ولا تنتقل مهام الفيديو والموسيقى إلا عند الإرسال. ترفض طلبات batch وrealtime وcouncil الحقل models. تكون الأولوية للنماذج الاحتياطية المحددة في مسار ديناميكي، ولا يمكن الجمع بين phaseo/auto وmodels.
المدة المطلوبة بالثواني (تعتمد على المزوّد/النموذج).
input_video_duration
number<double>
مدة الفيديو المصدر بالثواني. مطلوبة عندما يفوتر المزوّد مدة الفيديو المصدر بشكل مستقل عن الناتج المُنشأ.
النطاق المطلوب: 0 < x <= 3600
input_audio_duration
number<double>
مدة الصوت المصدر المعلنة بالثواني، المستخدمة للتحقق من نطاق المزوّد. قد يفوتر المزوّدون الذين لا يبلغون عن الاستخدام المعتمد وفق الحد الأعلى لمدة الإدخال المدعومة لديهم.
النطاق المطلوب: 2 <= x <= 20
size
string
أبعاد صريحة (مثل 1280x720). لا يمكن دمجها مع resolution أو aspect_ratio.
resolution
string
480p و720p و1080p و1K و2K و4K. يمكن دمجها مع aspect_ratio. لا يمكن دمجها مع size.
aspect_ratio
string
نسبة أبعاد مثل 16:9 أو9:16 أو1:1. يمكن دمجها مع resolution. لا يمكن دمجها مع size.
seed
integer
sample_count
integer
النطاق المطلوب: 1 <= x <= 4
negative_prompt
string
generate_audio
boolean
enhance_prompt
boolean
compression_quality
integerenum<string>
ضغط المخرجات. يقبل Vertex Veo القيمة optimized أو lossless ويرفض الرقم؛ أما المزوّدون الآخرون الذين يدعمونه فيقبلون عددًا صحيحًا.
person_generation
string
resize_mode
string
input_references
object[]
مدخلات صور أو صوت أو فيديو عبر HTTPS لتوجيه الإنشاء. تعتمد الأنواع والأدوار والأعداد والتركيبات المدعومة على النموذج المحدد. تحقق من GET /videos/models قبل إرسال مهمة. يقبل الاسم البديل المفرد للتوافق input_reference، غير المدرج في هذا المخطط، صورة multipart أو كائناً يتضمن واحداً فقط من file_id أو image_url. يعتمد الدعم على المزوّد.
مدخل وسائط HTTPS محدد النوع. استخدم image_url للصور وmedia_url للصوت أو الفيديو. تصف الأدوار كيفية استخدام النموذج للمدخل؛ ويختلف الدعم حسب المزوّد والنموذج.
Option 1
Option 2
Show child attributes
frame_images
object[]
صور HTTPS للإطار الأول/الأخير. يمكن أن يظهر كل frame_type مرة واحدة. لا تقدم أيضاً input_reference أو أدوار الإطارات ضمن input_references.
Required array length: 1 - 2 elements
Show child attributes
provider_params
object
امتدادات خاصة بالمزوّد فقط. يُرفض تمرير الطلب كاملاً وتكرار حقول التوجيه أو الموجه أو رد الاتصال أو الفوترة. على سبيل المثال، يقبل Wan 3.0 الخيار smart_duration: true ليختار النموذج المدة (لا ترسل duration معه)؛ تحجز المهمة 30 ثانية وتُحتسب المدة التي يبلغ عنها المزوّد.
provider_options
object
امتدادات بمفاتيح معرّفات المزوّدين الأساسية (مثل atlascloud أو byteplus). تُمرر خيارات المزوّد المحدد فقط. لا يمكن دمجها مع provider_params. يجب أن تستخدم حقول التوجيه والموجه ورد الاتصال والمدة والدقة وعدد النواتج حقول المستوى الأعلى التي تم التحقق منها.
Show child attributes
output
object
Show child attributes
webhook
object
Show child attributes
provider
object
تفضيلات توجيه المزوّد لاختياره عبر البوابة.
Show child attributes
الاستجابة
202 - application/json
استجابة الفيديو
id
string
polling_url
string
websocket_url
string<uri>
عنوان WebSocket للاشتراك في تحديثات دورة الحياة الموحدة للمهام غير المتزامنة.
model
string
request_id
string
session_id
string
status
enum<string>
الخيارات المتاحة:
queued,
processing,
completed,
failed,
cancelled,
expired
lifecycle_status
enum<string>
حالة دورة الحياة غير المتزامنة الموحدة لمستهلكي الاستطلاع وWebSocket وwebhook.
الخيارات المتاحة:
pending,
running,
completed,
failed,
cancelled,
expired
cancel_url
string<uri> | null
محجوز للتوافق؛ قيمته حالياً null دائماً.
output_access
enum<string>
الخيارات المتاحة:
bytes,
signed_url,
both
generation_id
string | null
native_video_id
string | null
معرّف الفيديو/المهمة الأصلي لدى المزوّد عندما يختلف عن معرّف البوابة.
created_at
integerstring
started_at
integerstring
completed_at
integerstring
object
string
مثال:
"video"
poll_after_seconds
integer
مثال:
20
provider
string
seconds
number
size
string
audio
boolean
content_url
string
موجود عندما يتضمن output_access القيمة bytes (نقطة نهاية تتطلب المصادقة).
download_url
string | null
عنوان URL موقّع من الطرف الأول للتنزيل المباشر عندما تكون الحالة completed.
إعداد webhook غير المتزامن بعد تنقيح البيانات الحساسة مع حالة التسليم. لا تُرجع الأسرار أبداً؛ يشير has_secret إلى تفعيل عمليات التسليم الموقّعة. تتضمن عمليات التسليم الموقّعة ترويسات x-phaseo-signature وx-phaseo-timestamp وx-phaseo-event-id وx-phaseo-event-type وx-phaseo-delivery-key وx-phaseo-attempt وx-phaseo-max-attempts.
Show child attributes
next_webhook_retry_at
string | null
طابع ISO الزمني لإعادة محاولة webhook المستخدم المجدولة التالية، إن كانت في قائمة الانتظار.
last_webhook_progress
number | null
أحدث فئة تقدم تقريبية أُرسلت إلى مستهلكي webhook.
last_webhook_progress_at
string | null
طابع ISO الزمني عند إرسال أحدث فئة تقدم لـwebhook.
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Phaseo Docs","description":"Documentation for Phaseo Gateway, SDKs, routing, pricing, guardrails, async jobs, and model discovery across providers.","colors":{"primary":"#0069a8","light":"#38bdf8","dark":"#0069a8"},"logo":{"light":"https://mintcdn.com/aistats/bxzzjromPyjBlHKc/logo/light.svg?fit=max\u0026auto=format\u0026n=bxzzjromPyjBlHKc\u0026q=85\u0026s=f1e10d307a46469852edc2ae198e3c2a","dark":"https://mintcdn.com/aistats/bxzzjromPyjBlHKc/logo/dark.svg?fit=max\u0026auto=format\u0026n=bxzzjromPyjBlHKc\u0026q=85\u0026s=6719dd9bade9b7f4025561841736d72e","href":"https://phaseo.app"},"favicon":"https://mintcdn.com/aistats/UZfkYM9yX2Gru_Ij/favicon.svg?fit=max\u0026auto=format\u0026n=UZfkYM9yX2Gru_Ij\u0026q=85\u0026s=04efcd38cad9cdb599aa92c800724bd5","api":{"openapi":"openapi/v1/openapi.yaml","playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["javascript","python","bash","go","java","php","ruby"],"prefill":true,"autogenerate":true}},"background":{"color":{"light":"#ffffff","dark":"#0a0a0a"}},"navbar":{"primary":{"type":"button","label":"Get API Key","href":"https://phaseo.app/settings/keys"}},"footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"Models","href":"https://phaseo.app/models"},{"label":"Status","href":"https://status.phaseo.app"},{"label":"Support","href":"https://phaseo.app/help"}]}]},"seo":{"metatags":{"canonical":"https://phaseo.app/docs"}},"fonts":{"family":"Montserrat"},"icons":{"library":"lucide"},"styling":{"eyebrows":"section","latex":true},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode","devin","mcp","add-mcp"],"display":"header"},"interaction":{"drilldown":false},"metadata":{"timestamp":true},"markdown":{"instructions":["Phaseo Gateway base URL: https://api.phaseo.app/v1. Send `Authorization: Bearer $PHASEO_API_KEY` with every request.","Model IDs look like `provider/model`, for example `openai/gpt-6-astra`. Do not guess IDs: list them with `GET /v1/models` or check https://phaseo.app/models. `phaseo/free` routes to an available free model and needs no wallet balance.","For new text integrations prefer `POST /v1/responses`. `POST /v1/chat/completions` (OpenAI format) and `POST /v1/messages` (Anthropic format) suit existing code.","The full API contract is https://phaseo.app/docs/openapi/v1/openapi.yaml. Official SDKs: `@phaseo/sdk` (TypeScript) and `phaseo` (Python), plus Go, C#, PHP, Ruby and Rust.","Search these docs over MCP at https://phaseo.app/docs/mcp, and install Phaseo skills with `npx skills add https://phaseo.app/docs`. If a page is wrong or out of date, report it with the MCP `submit_feedback` tool.","Manage Phaseo accounts with the `phaseo` CLI (`npm install -g @phaseo/cli`, then `phaseo login` or `phaseo login --device-code`), the `/v1` Management API or the MCP server at `https://mcp.phaseo.app/mcp?access=manage`. Do not send users to the dashboard for account tasks. A person is still needed for sign-up, approving a sign-in, paying the first top-up on the checkout link that `phaseo credits add` returns when no card is saved, confirming each saved-card top-up from the emailed link, and account security (password, MFA, passkeys). Create API keys with `phaseo keys create --name \u003cname> --json`; never guess one. Credit top-ups need `phaseo login --scopes billing:write` first. Task map: https://phaseo.app/docs/v1/developers/manage-from-an-agent.md."]},"navigation":{"languages":[{"language":"en","href":"v1"},{"language":"es","footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"Modelos","href":"https://phaseo.app/es-ES/models"},{"label":"Estado","href":"https://status.phaseo.app"},{"label":"Soporte","href":"https://phaseo.app/es-ES/help"}]}]},"navbar":{"primary":{"type":"button","label":"Obtener clave de API","href":"https://phaseo.app/es-ES/settings/keys"}},"href":"es/v1"},{"language":"fr","footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"Modèles","href":"https://phaseo.app/fr-FR/models"},{"label":"État","href":"https://status.phaseo.app"},{"label":"Assistance","href":"https://phaseo.app/fr-FR/help"}]}]},"navbar":{"primary":{"type":"button","label":"Obtenir une clé API","href":"https://phaseo.app/fr-FR/settings/keys"}},"href":"fr/v1"},{"language":"de","footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"Modelle","href":"https://phaseo.app/de-DE/models"},{"label":"Status","href":"https://status.phaseo.app"},{"label":"Support","href":"https://phaseo.app/de-DE/help"}]}]},"navbar":{"primary":{"type":"button","label":"API-Schlüssel erstellen","href":"https://phaseo.app/de-DE/settings/keys"}},"href":"de/v1"},{"language":"pt-BR","footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"Modelos","href":"https://phaseo.app/pt-BR/models"},{"label":"Status","href":"https://status.phaseo.app"},{"label":"Suporte","href":"https://phaseo.app/pt-BR/help"}]}]},"navbar":{"primary":{"type":"button","label":"Obter chave de API","href":"https://phaseo.app/pt-BR/settings/keys"}},"href":"pt-BR/v1"},{"language":"ja","footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"モデル","href":"https://phaseo.app/ja/models"},{"label":"ステータス","href":"https://status.phaseo.app"},{"label":"サポート","href":"https://phaseo.app/ja/help"}]}]},"navbar":{"primary":{"type":"button","label":"API キーを取得","href":"https://phaseo.app/ja/settings/keys"}},"href":"ja/v1"},{"language":"zh-Hans","footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"模型","href":"https://phaseo.app/zh-Hans/models"},{"label":"状态","href":"https://status.phaseo.app"},{"label":"支持","href":"https://phaseo.app/zh-Hans/help"}]}]},"navbar":{"primary":{"type":"button","label":"获取 API 密钥","href":"https://phaseo.app/zh-Hans/settings/keys"}},"href":"zh-Hans/v1"},{"language":"hi","footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"मॉडल","href":"https://phaseo.app/hi/models"},{"label":"स्थिति","href":"https://status.phaseo.app"},{"label":"सहायता","href":"https://phaseo.app/hi/help"}]}]},"navbar":{"primary":{"type":"button","label":"API कुंजी प्राप्त करें","href":"https://phaseo.app/hi/settings/keys"}},"href":"hi/v1"},{"language":"ar","footer":{"socials":{"x":"https://x.com/phaseoteam","github":"https://github.com/phaseoteam/Phaseo","discord":"https://discord.gg/aQyywCvgZ5","linkedin":"https://www.linkedin.com/company/phaseoapp","reddit":"https://www.reddit.com/r/Phaseo"},"links":[{"items":[{"label":"النماذج","href":"https://phaseo.app/ar-SA/models"},{"label":"الحالة","href":"https://status.phaseo.app"},{"label":"الدعم","href":"https://phaseo.app/ar-SA/help"}]}]},"navbar":{"primary":{"type":"button","label":"احصل على مفتاح API","href":"https://phaseo.app/ar-SA/settings/keys"}},"href":"ar/v1"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"aistats","hasAudioNarration":false,"actualSubdomain":"aistats","customDomains":["phaseo.app"],"gitSource":{"type":"github","owner":"phaseoteam","repo":"phaseo","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true,"agentFeedback":true,"issues":true,"edits":true},"entitlements":{},"buildId":"6afba12700b864e4c945ccb7","clientVersion":"0.0.4160","searchFilterCounts":[{"language":"ar","tag":"مرجع API","count":243},{"language":"de","tag":"API-Referenz","count":243},{"language":"es","tag":"Referencia API","count":243},{"language":"fr","tag":"Référence API","count":243},{"language":"hi","tag":"API संदर्भ","count":243},{"language":"ja","tag":"APIリファレンス","count":243},{"language":"pt-BR","tag":"Referência API","count":243},{"language":"en","tag":"API Reference","count":243},{"language":"zh-Hans","tag":"API 参考","count":243},{"language":"hi","tag":"दस्तावेज़","count":144},{"language":"ja","tag":"ドキュメント","count":144},{"language":"zh-Hans","tag":"文档","count":144},{"language":"ar","tag":"الوثائق","count":142},{"language":"de","tag":"Docs","count":142},{"language":"es","tag":"Docs","count":142},{"language":"fr","tag":"Docs","count":142},{"language":"pt-BR","tag":"Docs","count":142},{"language":"en","tag":"Docs","count":142},{"language":"ar","tag":"إدارة مساحات العمل","count":103},{"language":"de","tag":"Arbeitsbereichsverwaltung","count":103},{"language":"es","tag":"Gestión de espacios de trabajo","count":103},{"language":"fr","tag":"Gestion des espaces de travail","count":103},{"language":"hi","tag":"वर्कस्पेस प्रबंधन","count":103},{"language":"ja","tag":"ワークスペース管理","count":103},{"language":"pt-BR","tag":"Gerenciamento de espaços de trabalho","count":103},{"language":"en","tag":"Workspace Management","count":103},{"language":"zh-Hans","tag":"工作区管理","count":103},{"language":"ar","tag":"التوجيه والسياسات","count":57},{"language":"de","tag":"Routing und Richtlinien","count":57},{"language":"es","tag":"Enrutamiento y políticas","count":57},{"language":"fr","tag":"Routage et politiques","count":57},{"language":"hi","tag":"रूटिंग और नीतियाँ","count":57},{"language":"ja","tag":"ルーティングとポリシー","count":57},{"language":"pt-BR","tag":"Roteamento e políticas","count":57},{"language":"zh-Hans","tag":"路由与策略","count":57},{"language":"en","tag":"Routing \u0026 Policies","count":52},{"language":"ar","tag":"التكاملات","count":39},{"language":"de","tag":"Integrationen","count":39},{"language":"es","tag":"Integraciones","count":39},{"language":"fr","tag":"Intégrations","count":39},{"language":"hi","tag":"एकीकरण","count":39},{"language":"ja","tag":"連携","count":39},{"language":"pt-BR","tag":"Integrações","count":39},{"language":"en","tag":"Integrations","count":39},{"language":"zh-Hans","tag":"集成","count":39},{"language":"ar","tag":"الميزات","count":37},{"language":"de","tag":"Funktionen","count":37},{"language":"es","tag":"Funciones","count":37},{"language":"fr","tag":"Fonctionnalités","count":37},{"language":"hi","tag":"सुविधाएँ","count":37},{"language":"ja","tag":"機能","count":37},{"language":"pt-BR","tag":"Recursos","count":37},{"language":"en","tag":"Features","count":37},{"language":"zh-Hans","tag":"功能","count":37},{"language":"ar","tag":"دليل الوصفات","count":29},{"language":"de","tag":"Rezeptbuch","count":29},{"language":"es","tag":"Recetario","count":29},{"language":"fr","tag":"Recettes","count":29},{"language":"hi","tag":"कुकबुक","count":29},{"language":"ja","tag":"クックブック","count":29},{"language":"pt-BR","tag":"Receitas","count":29},{"language":"en","tag":"Cookbook","count":29},{"language":"zh-Hans","tag":"实用指南","count":29},{"language":"ar","tag":"الاستخدام والمراقبة","count":28},{"language":"de","tag":"Nutzung und Überwachung","count":28},{"language":"es","tag":"Uso y supervisión","count":28},{"language":"fr","tag":"Utilisation et surveillance","count":28},{"language":"hi","tag":"उपयोग और निगरानी","count":28},{"language":"ja","tag":"使用状況と監視","count":28},{"language":"pt-BR","tag":"Uso e monitoramento","count":28},{"language":"en","tag":"Usage \u0026 Monitoring","count":28},{"language":"zh-Hans","tag":"用量与监控","count":28},{"language":"ar","tag":"SDK العميل","count":26},{"language":"de","tag":"SDKs","count":26},{"language":"es","tag":"SDKs","count":26},{"language":"fr","tag":"SDK client","count":26},{"language":"hi","tag":"क्लाइंट SDK","count":26},{"language":"ja","tag":"SDK","count":26},{"language":"pt-BR","tag":"SDKs","count":26},{"language":"en","tag":"Client SDKs","count":26},{"language":"zh-Hans","tag":"客户端 SDK","count":26},{"language":"ar","tag":"أدلة الترحيل","count":23},{"language":"de","tag":"Migrationsleitfäden","count":23},{"language":"es","tag":"Guías de migración","count":23},{"language":"fr","tag":"Guides de migration","count":23},{"language":"hi","tag":"माइग्रेशन गाइड","count":23},{"language":"ja","tag":"移行ガイド","count":23},{"language":"pt-BR","tag":"Guias de migração","count":23},{"language":"en","tag":"Migration Guides","count":23},{"language":"zh-Hans","tag":"迁移指南","count":23}],"searchSettings":{"maxResults":10,"showContentSnippets":true}},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[{"filePath":"styles.css","content":":root{--sidebar-width: 17.5rem}#navbar div:has(>a>img.nav-logo){min-width:max-content}#navbar nav[class*=\"navbar:flex\"]{justify-content:safe center;overflow-x:auto;scrollbar-width:none}#navbar nav[class*=\"navbar:flex\"] li>:is(a,button){padding-inline:0.6875rem}@media (max-width: 1279px){#navbar nav[class*=\"navbar:flex\"] li>:is(a,button){padding-inline:0.5rem;font-size:0.8125rem}}#navbar :is([class*=\"rounded-full\"],#localization-select-trigger){border-radius:0.375rem}@media (max-width: 1399px){html:not([lang=\"en\"]) #navbar nav[class*=\"navbar:flex\"] li>:is(a,button)>svg[style*=\"mask-image\"]{display:none}}@media (max-width: 1279px){#navbar nav[class*=\"navbar:flex\"] li>:is(a,button)>svg[style*=\"mask-image\"]{display:none}}@media (min-width: 1280px){#content-area{--content-width: clamp(40.5rem, min(100vw - 41rem, 100vw - 2 * var(--sidebar-width) - 5rem), 56rem)}#content-container:has(>[data-api-example]) #content-area{--content-width: clamp(40.5rem, 100vw - var(--sidebar-width) - 35.5rem, 56rem);margin-inline:auto!important}}#footer{border-top-width:1px}#footer>div{max-width:none;padding-inline:2rem}@media (min-width: 1800px){:root{--sidebar-width: 24rem}#sidebar-content :is(a,button) .flex-wrap{flex-wrap:nowrap}#sidebar-content button>div:first-child{min-width:0}#sidebar-content :is(a,button) div>span:first-child:not(.method-nav-pill,.nav-tag-pill),#sidebar-content .sidebar-group-header{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}}#page-title{font-size:1.875rem;line-height:2.25rem}#header .prose{font-size:1rem;line-height:1.625rem}#content.mdx-content{font-size:0.9375rem;line-height:1.625rem}#content.mdx-content h2{font-size:1.25rem;line-height:1.75rem}#content.mdx-content h3{font-size:1.0625rem;line-height:1.5rem}#sidebar-content div[class~=\"lg:mt-8\"]{margin-top:1.25rem}:is(.sidebar-group-header,.eyebrow){text-transform:none}.ph-paths{border-top:1px solid rgb(0 0 0 / 0.08)}.ph-paths>*{display:block;margin:0}.ph-paths a{display:grid;grid-template-columns:16rem 1fr;gap:0.25rem 1.5rem;padding:0.875rem 0.125rem;border-bottom:1px solid rgb(0 0 0 / 0.08);color:rgb(107 114 128);font-size:0.9375rem;line-height:1.5;text-decoration:none}.ph-paths a strong{display:flex;align-items:center;gap:0.625rem;color:rgb(17 24 39);font-weight:600}.ph-paths a:hover strong{color:rgb(var(--primary))}.ph-sdks>*{display:flex;flex-wrap:wrap;gap:0.75rem 1.75rem;margin:0}.ph-sdks a{display:inline-flex;align-items:center;gap:0.5rem;color:rgb(17 24 39);font-weight:500;text-decoration:none}.ph-sdks a:hover{color:rgb(var(--primary))}:is(html.dark,html[data-theme=\"dark\"]) :is(.ph-paths,.ph-paths a){border-color:rgb(255 255 255 / 0.1)}:is(html.dark,html[data-theme=\"dark\"]) .ph-paths a{color:rgb(156 163 175)}:is(html.dark,html[data-theme=\"dark\"]) :is(.ph-paths a strong,.ph-sdks a){color:rgb(255 255 255)}:is(html.dark,html[data-theme=\"dark\"]) .ph-paths a:hover strong,:is(html.dark,html[data-theme=\"dark\"]) .ph-sdks a:hover{color:rgb(var(--primary-light))}@media (max-width: 640px){.ph-paths a{grid-template-columns:1fr}}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/cline.svg\"]{content:url(\"/icons/brands/cline-dark.svg\")}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/cursor.svg\"]{content:url(\"/icons/brands/cursor-dark.svg\")}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/kilo.svg\"]{content:url(\"/icons/brands/kilo-dark.svg\")}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/opencode.svg\"]{content:url(\"/icons/brands/opencode-dark.svg\")}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/prime-agent.svg\"]{content:url(\"/icons/brands/prime-agent-dark.svg\")}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/continue.svg\"]{content:url(\"/icons/brands/continue-dark.svg\")}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/oh-my-pi.svg\"]{content:url(\"/icons/brands/oh-my-pi-dark.svg\")}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/pi.svg\"]{content:url(\"/icons/brands/pi-dark.svg\")}:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/roo-code.svg\"],:is(html.dark,html[data-theme=\"dark\"]) img[src$=\"/icons/brands/zed.svg\"]{filter:invert(1)}html[lang=\"ar\"] :is(#content-area,#sidebar-content,#table-of-contents-content){direction:rtl}html[lang=\"ar\"] #content-area :is(pre,code){direction:ltr;unicode-bidi:isolate}html[lang=\"ar\"] #content-area .prose li:not(.not-prose li){padding-left:6px;padding-right:32px}html[lang=\"ar\"] #content-area .prose li:not(.not-prose li)::before{left:auto;right:8px}.changelog-filters{position:sticky;top:3rem;z-index:20;display:flex;align-items:center;gap:0.5rem;margin:0 0 1rem;padding:0.75rem 0;overflow-x:auto;scrollbar-width:none;background:#fff;border-bottom:1px solid rgb(0 0 0 / 0.08)}.dark .changelog-filters{background:#0a0a0a;border-bottom-color:rgb(255 255 255 / 0.08)}.changelog-filters button{flex:none;white-space:nowrap;border:1px solid rgb(0 0 0 / 0.12);border-radius:0.375rem;padding:0.25rem 0.75rem;font-size:0.875rem;line-height:1.25rem;color:inherit;background:transparent;cursor:pointer}.dark .changelog-filters button{border-color:rgb(255 255 255 / 0.15)}.changelog-filters button[aria-pressed=\"true\"]{border-color:#0069a8;background:#0069a8;color:#fff}.changelog-filters .changelog-filters-clear{border-color:transparent;padding-inline:0.5rem;opacity:0.7}.changelog-category{margin:1.25rem 0 0.25rem;font-size:0.8125rem;font-weight:600;opacity:0.65}[data-changelog-category]:first-child .changelog-category{margin-top:0}.update.changelog-update-hidden{display:none}.ph-rc{--rc-tokens: #0069a8;--rc-waiting: #eb6834;--rc-failures: #1baf7a;--rc-ink: #0b0b0b;--rc-ink-2: #52514e;--rc-muted: #898781;--rc-grid: #e1e0d9;--rc-base: #c3c2b7;--rc-band: rgba(0, 105, 168, 0.07);--rc-band-edge: rgba(0, 105, 168, 0.28);--rc-surface: #ffffff;--rc-raised: #f6f6f4;--rc-ring: rgba(11, 11, 11, 0.1);margin:1.25rem 0;font-size:0.8125rem;color:var(--rc-ink)}.dark .ph-rc{--rc-tokens: #2a9fd6;--rc-waiting: #d95926;--rc-failures: #199e70;--rc-ink: #f0efec;--rc-ink-2: #c3c2b7;--rc-muted: #898781;--rc-grid: #2c2c2a;--rc-base: #383835;--rc-band: rgba(42, 159, 214, 0.09);--rc-band-edge: rgba(42, 159, 214, 0.35);--rc-surface: #0a0a0a;--rc-raised: #161616;--rc-ring: rgba(255, 255, 255, 0.1)}.ph-rc-tabs{display:flex;flex-wrap:wrap;gap:0.25rem;margin-bottom:0.75rem}.ph-rc-tabs button{border:1px solid var(--rc-ring);border-radius:0.375rem;background:transparent;color:var(--rc-ink-2);padding:0.3rem 0.65rem;font:inherit;cursor:pointer}.ph-rc-tabs button:hover{color:var(--rc-ink);background:var(--rc-raised)}.ph-rc-tabs .ph-rc-tab-on{color:var(--rc-ink);border-color:var(--rc-tokens);background:var(--rc-raised);font-weight:600}.ph-rc-mix{color:var(--rc-ink-2);margin-bottom:0.5rem}.ph-rc-formula{display:flex;flex-wrap:wrap;align-items:center;gap:0.35rem 0.45rem;margin-bottom:0.6rem;padding:0.55rem 0.75rem;border:1px solid var(--rc-ring);border-radius:0.375rem;color:var(--rc-ink-2)}.ph-rc-formula strong{color:var(--rc-ink);font-weight:600}.ph-rc-term{display:inline-flex;align-items:center;gap:0.35rem;color:var(--rc-ink)}.ph-rc-legend{display:flex;flex-wrap:wrap;gap:0.35rem 1rem;color:var(--rc-ink-2);margin-bottom:0.75rem}.ph-rc-legend span{display:inline-flex;align-items:center;gap:0.4rem}.ph-rc-swatch{display:inline-block;width:0.7rem;height:0.7rem;border-radius:3px;flex:none}.ph-rc-tokens{background:var(--rc-tokens)}.ph-rc-waiting{background:var(--rc-waiting)}.ph-rc-failures{background:var(--rc-failures)}.ph-rc-band-swatch{background:var(--rc-band);box-shadow:inset 0 0 0 1px var(--rc-band-edge)}.ph-rc-head,.ph-rc-row{display:grid;grid-template-columns:minmax(8rem, 13rem) 1fr 6.5rem;gap:0.75rem;align-items:center}.ph-rc-head{color:var(--rc-muted);font-size:0.75rem;padding-bottom:0.35rem;border-bottom:1px solid var(--rc-grid)}.ph-rc-row{padding:0.55rem 0;border-bottom:1px solid var(--rc-grid)}.ph-rc-you{background:var(--rc-raised);box-shadow:-0.5rem 0 0 var(--rc-raised), 0.5rem 0 0 var(--rc-raised)}.ph-rc-name{display:flex;flex-direction:column;align-items:flex-start;min-width:0}.ph-rc-name strong{font-weight:600}.ph-rc-name span{color:var(--rc-muted);font-size:0.7rem;line-height:1.3}.ph-rc-name span{direction:ltr;unicode-bidi:isolate}.ph-rc-track{position:relative;height:1.5rem;width:calc(100% - 3.75rem)}.ph-rc-track,.ph-rc-sharebar,.ph-rc-curve,.ph-rc-controls input[type=\"range\"]{direction:ltr}.ph-rc-band{position:absolute;top:-0.55rem;bottom:-0.55rem;background:var(--rc-band);border-left:1px dashed var(--rc-band-edge);border-right:1px dashed var(--rc-band-edge)}.ph-rc-bar{position:absolute;inset:0.3rem 0;display:flex;align-items:center}.ph-rc-seg{height:0.9rem;margin-right:2px;flex:none;min-width:2px}.ph-rc-seg:first-child{border-radius:4px 0 0 4px}.ph-rc-seg:nth-last-child(2){border-radius:0 4px 4px 0;margin-right:0.4rem}.ph-rc-total{color:var(--rc-ink-2);font-variant-numeric:tabular-nums;white-space:nowrap;font-size:0.75rem}.ph-rc-tip{position:absolute;top:1.7rem;transform:translateX(-50%);z-index:5;min-width:12rem;background:var(--rc-surface);color:var(--rc-ink);border:1px solid var(--rc-ring);border-radius:0.375rem;padding:0.5rem 0.65rem;box-shadow:0 6px 20px rgba(0, 0, 0, 0.12);pointer-events:none}.ph-rc-tip-left{transform:translateX(-100%)}.ph-rc-tip>div{display:flex;align-items:center;gap:0.4rem;color:var(--rc-ink-2);margin-top:0.2rem}.ph-rc-tip b{margin-left:auto;color:var(--rc-ink);font-variant-numeric:tabular-nums}.ph-rc-tip .ph-rc-tip-on{color:var(--rc-ink);font-weight:600}.ph-rc-tip-sum{border-top:1px solid var(--rc-grid);padding-top:0.3rem}.ph-rc-share{display:flex;flex-direction:column;gap:0.25rem}.ph-rc-num{text-align:right;font-variant-numeric:tabular-nums;direction:ltr;unicode-bidi:isolate}.ph-rc-share .ph-rc-num{font-weight:600;font-size:0.875rem}.ph-rc-sharebar{height:0.35rem;border-radius:2px;background:var(--rc-grid);overflow:hidden}.ph-rc-sharebar div{height:100%;background:var(--rc-tokens);border-radius:2px}.ph-rc-axis{color:var(--rc-muted);font-size:0.72rem;margin-top:0.5rem}.ph-rc-play{display:grid;grid-template-columns:1fr 1fr;gap:1.5rem;margin-bottom:1.25rem}.ph-rc-controls{display:flex;flex-direction:column;gap:0.6rem}.ph-rc-controls label{display:flex;flex-direction:column;gap:0.2rem}.ph-rc-controls label span{display:flex;justify-content:space-between;color:var(--rc-ink-2)}.ph-rc-controls b{color:var(--rc-ink);font-variant-numeric:tabular-nums;font-weight:600}.ph-rc-controls input[type=\"range\"]{width:100%;accent-color:var(--rc-tokens)}.ph-rc-summary{display:flex;flex-direction:column;gap:0.5rem}.ph-rc-hero{display:flex;align-items:baseline;justify-content:space-between}.ph-rc-hero span{color:var(--rc-ink-2)}.ph-rc-hero strong{font-size:2rem;font-weight:600;line-height:1}.ph-rc-curve{width:100%;height:auto;overflow:visible}.ph-rc-band-fill{fill:var(--rc-band)}.ph-rc-baseline{stroke:var(--rc-base);stroke-width:1}.ph-rc-tick{fill:var(--rc-muted);font-size:10px}.ph-rc-line{fill:none;stroke:var(--rc-ink-2);stroke-width:2}.ph-rc-dot-other{fill:var(--rc-muted);stroke:var(--rc-surface);stroke-width:2}.ph-rc-dot-you{fill:var(--rc-tokens);stroke:var(--rc-surface);stroke-width:2}.ph-rc-dot-label{fill:var(--rc-ink);font-size:11px;font-weight:600}.ph-rc-caption{color:var(--rc-muted);font-size:0.72rem;margin-top:-0.25rem}.ph-rc-levers{border-top:1px solid var(--rc-grid);padding-top:0.5rem}.ph-rc-levers-title{color:var(--rc-muted);font-size:0.72rem;margin-bottom:0.25rem}.ph-rc-levers>div:not(.ph-rc-levers-title){display:flex;justify-content:space-between;padding:0.15rem 0;color:var(--rc-ink-2)}.ph-rc-levers b{color:var(--rc-ink);font-variant-numeric:tabular-nums}@media (max-width: 640px){.ph-rc-play{grid-template-columns:1fr}.ph-rc-head,.ph-rc-row{grid-template-columns:1fr 4.5rem}.ph-rc-head>span:nth-child(2){display:none}.ph-rc-track{grid-column:1 / -1;grid-row:2}}.ph-ps{--ps-ink: #0b0b0b;--ps-ink-2: #52514e;--ps-muted: #898781;--ps-grid: #e1e0d9;--ps-surface: #ffffff;--ps-raised: #f6f6f4;--ps-ring: rgba(11, 11, 11, 0.1);--ps-accent: #0069a8;margin:1.25rem 0;font-size:0.8125rem;color:var(--ps-ink)}.dark .ph-ps{--ps-ink: #f0efec;--ps-ink-2: #c3c2b7;--ps-muted: #898781;--ps-grid: #2c2c2a;--ps-surface: #0a0a0a;--ps-raised: #161616;--ps-ring: rgba(255, 255, 255, 0.1);--ps-accent: #2a9fd6}.ph-ps-caption{color:var(--ps-ink-2);margin:0 0 0.6rem}.ph-ps-layout{display:grid;grid-template-columns:minmax(0, 1.4fr) minmax(0, 1fr);gap:1rem;align-items:start}.ph-ps-table{border:1px solid var(--ps-ring);border-radius:0.375rem;overflow:hidden;background:var(--ps-surface)}.ph-ps-head,.ph-ps-row{display:grid;grid-template-columns:minmax(0, 1fr) 4.75rem 4.75rem;gap:0.4rem;align-items:center;padding:0 0.75rem}.ph-ps-head{color:var(--ps-muted);font-size:0.72rem;min-height:2rem;white-space:nowrap;border-bottom:1px solid var(--ps-grid)}.ph-ps-row{width:100%;height:2.25rem;border:0;border-bottom:1px solid var(--ps-grid);background:transparent;color:inherit;font:inherit;text-align:start;cursor:pointer}.ph-ps-row:hover{background:var(--ps-raised)}.ph-ps-row:focus-visible{outline:2px solid var(--ps-accent);outline-offset:-2px}.ph-ps-on{background:var(--ps-raised);box-shadow:inset 2px 0 0 var(--ps-accent)}.ph-ps-name{display:inline-flex;align-items:center;gap:0.45rem;min-width:0}.ph-ps-name strong{font-weight:600;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.ph-ps-logo{display:inline-flex;align-items:center;justify-content:center;flex:none;width:1.1rem;height:1.1rem;border-radius:0.25rem;font-style:normal;font-size:0.62rem;font-weight:700;color:#fff;background:#52514e}.ph-ps-logo-A{background:#7c3aed}.ph-ps-logo-B{background:#0f766e}.ph-ps-logo-C{background:#1d4ed8}.ph-ps-logo-D{background:#b45309}.ph-ps-logo-E{background:#be185d}.ph-ps-logo-F{background:#52514e}.ph-ps-icon{width:0.85rem;height:0.85rem;flex:none}.ph-ps-num{text-align:end;font-variant-numeric:tabular-nums;font-weight:600}.ph-ps-head .ph-ps-num{font-weight:400}.ph-ps-order{margin:0;padding:0.5rem 0.75rem;color:var(--ps-muted);font-size:0.72rem}.ph-ps-card{border:1px solid var(--ps-ring);border-radius:0.375rem;padding:0.75rem 0.9rem;background:var(--ps-raised)}.ph-ps-card-title{display:flex;align-items:center;gap:0.45rem;padding-bottom:0.55rem;margin-bottom:0.55rem;border-bottom:1px solid var(--ps-grid)}.ph-ps-card-title .ph-ps-icon{width:1rem;height:1rem}.ph-ps-card-title strong{font-weight:600}.ph-ps-card dl{margin:0}.ph-ps-card dt{color:var(--ps-muted);font-size:0.72rem;margin-top:0.55rem}.ph-ps-card dt:first-child{margin-top:0}.ph-ps-card dd{margin:0.1rem 0 0;color:var(--ps-ink);line-height:1.45}@media (max-width: 720px){.ph-ps-layout{grid-template-columns:1fr}.ph-ps-head,.ph-ps-row{grid-template-columns:minmax(0, 1fr) 4.75rem 4.75rem}}:is(.ph-se,.ph-pm,.ph-fc,.ph-sap,.ph-ec){--x-ink: #0b0b0b;--x-ink-2: #52514e;--x-muted: #898781;--x-grid: #e1e0d9;--x-surface: #ffffff;--x-raised: #f6f6f4;--x-ring: rgba(11, 11, 11, 0.1);--x-accent: #0069a8;--x-accent-soft: rgba(0, 105, 168, 0.09);--x-ok: #15803d;--x-ok-soft: rgba(21, 128, 61, 0.09);--x-warn: #c2410c;--x-warn-soft: rgba(194, 65, 12, 0.09);--x-bad: #b91c1c;--x-bad-soft: rgba(185, 28, 28, 0.08);margin:1.25rem 0;font-size:0.8125rem;color:var(--x-ink)}.dark :is(.ph-se,.ph-pm,.ph-fc,.ph-sap,.ph-ec){--x-ink: #f0efec;--x-ink-2: #c3c2b7;--x-muted: #898781;--x-grid: #2c2c2a;--x-surface: #0a0a0a;--x-raised: #161616;--x-ring: rgba(255, 255, 255, 0.1);--x-accent: #2a9fd6;--x-accent-soft: rgba(42, 159, 214, 0.12);--x-ok: #34c77b;--x-ok-soft: rgba(52, 199, 123, 0.1);--x-warn: #f08a4b;--x-warn-soft: rgba(240, 138, 75, 0.1);--x-bad: #f26b6b;--x-bad-soft: rgba(242, 107, 107, 0.1)}:is(.ph-se,.ph-pm,.ph-fc,.ph-sap,.ph-ec) button,:is(.ph-se,.ph-pm,.ph-fc,.ph-sap,.ph-ec) select{border:1px solid var(--x-ring);border-radius:0.375rem;background:transparent;color:var(--x-ink-2);padding:0.3rem 0.65rem;font:inherit;cursor:pointer}:is(.ph-se,.ph-pm,.ph-fc,.ph-sap,.ph-ec) button:hover:not(:disabled){color:var(--x-ink);background:var(--x-raised)}:is(.ph-se,.ph-pm,.ph-fc,.ph-sap,.ph-ec) button:disabled,.ph-fc select:disabled{opacity:0.45;cursor:default}:is(.ph-se,.ph-pm,.ph-fc,.ph-sap,.ph-ec) code{font-size:0.75rem}.ph-se-bar{display:flex;flex-wrap:wrap;justify-content:space-between;gap:0.5rem;margin-bottom:0.75rem}.ph-se-tabs{display:flex;flex-wrap:wrap;gap:0.25rem}.ph-se .ph-se-on{color:var(--x-ink);border-color:var(--x-accent);background:var(--x-raised);font-weight:600}.ph-se-grid{display:grid;grid-template-columns:minmax(0, 1.25fr) minmax(0, 1fr);gap:0.75rem}.ph-se-panel{border:1px solid var(--x-ring);border-radius:0.375rem;background:var(--x-surface);overflow:hidden}.ph-se-head{display:flex;align-items:center;justify-content:space-between;min-height:2.4rem;padding:0.3rem 0.75rem;color:var(--x-muted);font-size:0.75rem;border-bottom:1px solid var(--x-grid)}.ph-se-actions{display:flex;gap:0.25rem}.ph-se .ph-se-primary{color:#fff;background:var(--x-accent);border-color:var(--x-accent)}.ph-se .ph-se-primary:hover:not(:disabled){color:#fff;background:var(--x-accent);opacity:0.9}.ph-se-events{list-style:none;margin:0;padding:0.4rem 0;height:15.5rem;overflow-y:auto}.ph-se-events li{display:flex;align-items:center;gap:0.5rem;padding:0.2rem 0.75rem;margin:0;animation:ph-se-in 0.18s ease-out}.ph-se-events li i{width:0.45rem;height:0.45rem;border-radius:999px;flex:none;background:var(--x-muted)}.ph-se-events .ph-se-open i{background:var(--x-accent)}.ph-se-events .ph-se-delta i{background:var(--x-grid);box-shadow:inset 0 0 0 1px var(--x-muted)}.ph-se-events .ph-se-close i{background:var(--x-ok)}.ph-se-events .ph-se-error i{background:var(--x-bad)}.ph-se-events .ph-se-close{background:var(--x-ok-soft)}.ph-se-events .ph-se-error{background:var(--x-bad-soft)}.ph-se-events code{direction:ltr;unicode-bidi:isolate;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.ph-se-events .ph-se-delta{background:transparent}.ph-se-events li>span{margin-inline-start:auto;color:var(--x-muted);font-size:0.72rem;white-space:nowrap}.ph-se-events li>span.ph-se-delta{color:var(--x-ink-2);font-family:var(--font-mono, ui-monospace, monospace)}.ph-se-empty{color:var(--x-muted)}.ph-se-empty i{display:none}.ph-se-output{min-height:6rem;padding:0.75rem;font-size:0.9375rem;line-height:1.55}.ph-se-output-failed{color:var(--x-ink-2);text-decoration:underline wavy var(--x-bad);text-underline-offset:0.3rem;text-decoration-thickness:1px}.ph-se-caret{display:inline-block;width:0.5rem;height:1rem;margin-inline-start:2px;vertical-align:-2px;background:var(--x-accent);animation:ph-se-blink 1s steps(2) infinite}.ph-se-verdict{margin:0 0.75rem 0.75rem;padding:0.5rem 0.65rem;border-radius:0.375rem;line-height:1.45}.ph-se-verdict-streaming{background:var(--x-accent-soft)}.ph-se-verdict-ok{background:var(--x-ok-soft)}.ph-se-verdict-failed{background:var(--x-bad-soft)}@keyframes ph-se-in{from{opacity:0;transform:translateY(-2px)}to{opacity:1;transform:none}}@keyframes ph-se-blink{to{visibility:hidden}}@media (prefers-reduced-motion: reduce){.ph-se-events li,.ph-se-caret{animation:none}}.ph-pm-toggles{display:flex;flex-wrap:wrap;gap:0.4rem 1.1rem;margin-bottom:0.75rem;color:var(--x-ink-2)}.ph-pm-toggles label{display:inline-flex;align-items:center;gap:0.4rem;cursor:pointer}.ph-pm-toggles input{accent-color:var(--x-accent)}.ph-pm-grid{display:grid;grid-template-columns:repeat(3, minmax(0, 1fr));gap:0.6rem}.ph-pm-panel{border:1px solid var(--x-ring);border-radius:0.375rem;background:var(--x-surface);min-width:0}.ph-pm-title{padding:0.45rem 0.7rem;color:var(--x-muted);font-size:0.75rem;border-bottom:1px solid var(--x-grid)}.ph-pm .ph-pm-code{margin:0;padding:0.5rem 0;background:transparent;border:0;border-radius:0;color:var(--x-ink);font-size:0.72rem;line-height:1.6;white-space:pre-wrap;word-break:break-word;direction:ltr;text-align:left}.ph-pm-line{display:block;padding:0 0.7rem;border-inline-start:3px solid transparent}.ph-pm-settings .ph-pm-line{padding-block:0.15rem}.ph-pm-line.ph-pm-request{background:var(--x-accent-soft);border-inline-start-color:var(--x-accent)}.ph-pm-line.ph-pm-preset{background:var(--x-warn-soft);border-inline-start-color:var(--x-warn)}.ph-pm-line.ph-pm-both{background:linear-gradient(90deg, var(--x-warn-soft), var(--x-accent-soft));border-inline-start-color:var(--x-ink-2)}.ph-pm-legend{display:flex;flex-wrap:wrap;gap:0.35rem 1rem;margin-top:0.6rem;color:var(--x-ink-2)}.ph-pm-legend span{display:inline-flex;align-items:center;gap:0.4rem}.ph-pm-swatch{display:inline-block;width:0.7rem;height:0.7rem;border-radius:3px}.ph-pm-swatch.ph-pm-request{background:var(--x-accent)}.ph-pm-swatch.ph-pm-preset{background:var(--x-warn)}.ph-pm-swatch.ph-pm-both{background:linear-gradient(90deg, var(--x-warn), var(--x-accent))}@media (max-width: 900px){.ph-pm-grid,.ph-se-grid{grid-template-columns:1fr}}.ph-fc-chain{display:grid;grid-template-columns:repeat(3, minmax(0, 1fr));gap:1.4rem}.ph-fc-step{position:relative;display:flex;flex-direction:column;gap:0.45rem;padding:0.7rem 0.8rem;border:1px solid var(--x-ring);border-radius:0.375rem;background:var(--x-surface);min-width:0}.ph-fc-step:not(:last-child)::after{content:\"\\2192\";position:absolute;top:50%;inset-inline-end:-1.15rem;transform:translateY(-50%);color:var(--x-muted)}[dir=\"rtl\"] .ph-fc-step:not(:last-child)::after{content:\"\\2190\"}.ph-fc-skipped{opacity:0.5;border-style:dashed}.ph-fc-served{border-color:var(--x-ok);box-shadow:inset 0 0 0 1px var(--x-ok)}.ph-fc-role{display:flex;justify-content:space-between;align-items:center;color:var(--x-muted);font-size:0.72rem}.ph-fc-served .ph-fc-role span{color:var(--x-ok);font-weight:600}.ph-fc-model{font-weight:600;direction:ltr;unicode-bidi:isolate;overflow-wrap:anywhere}.ph-fc-select{display:flex;flex-direction:column;gap:0.2rem;color:var(--x-muted);font-size:0.72rem}.ph-fc-select select{color:var(--x-ink);background:var(--x-raised)}.ph-fc-note{padding:0.3rem 0.5rem;border-radius:0.375rem;font-size:0.72rem}.ph-fc-next{background:var(--x-warn-soft);color:var(--x-warn)}.ph-fc-stop{background:var(--x-bad-soft);color:var(--x-bad)}.ph-fc-result{margin:0.75rem 0 0;padding:0.55rem 0.75rem;border-radius:0.375rem;background:var(--x-bad-soft);line-height:1.45}.ph-fc-result-ok{background:var(--x-ok-soft)}@media (max-width: 720px){.ph-fc-chain{grid-template-columns:1fr;gap:1.1rem}.ph-fc-step:not(:last-child)::after{content:\"\\2193\";top:auto;bottom:-1.05rem;inset-inline-end:50%;transform:none}}.ph-sap-inputs{display:grid;grid-template-columns:repeat(3, minmax(0, 1fr));gap:0.6rem;margin-bottom:0.75rem}.ph-sap-inputs label{display:flex;flex-direction:column;gap:0.3rem;color:var(--x-ink-2);font-size:0.75rem}.ph-sap-inputs input{border:1px solid var(--x-ring);border-radius:0.375rem;background:var(--x-surface);color:var(--x-ink);padding:0.35rem 0.6rem;font:inherit;font-size:0.8125rem;direction:ltr;font-variant-numeric:tabular-nums}.ph-sap-inputs input:focus{outline:2px solid var(--x-accent);outline-offset:1px}.ph-sap-rows{margin:0;border:1px solid var(--x-ring);border-radius:0.375rem;background:var(--x-surface)}.ph-sap-rows>div{display:flex;justify-content:space-between;gap:1rem;padding:0.45rem 0.75rem;border-top:1px solid var(--x-grid)}.ph-sap-rows>div:first-child{border-top:0}.ph-sap-rows dt{color:var(--x-ink-2)}.ph-sap-rows dd{margin:0;direction:ltr;font-variant-numeric:tabular-nums;color:var(--x-ink)}.ph-sap-total{background:var(--x-accent-soft)}.ph-sap-total dt,.ph-sap-total dd{color:var(--x-ink);font-weight:600}.ph-sap-note{margin:0.5rem 0 0;color:var(--x-muted);font-size:0.75rem}@media (max-width: 720px){.ph-sap-inputs{grid-template-columns:1fr}}.ph-ec-caption{color:var(--x-ink-2);margin:0 0 0.6rem}.ph-ec-turns{display:grid;grid-template-columns:repeat(5, minmax(0, 1fr));gap:0.4rem}.ph-ec-turn{display:flex;flex-direction:column;gap:0.3rem;padding:0.4rem;border:1px solid var(--x-ring);border-radius:0.375rem;background:var(--x-surface)}.ph-ec-turn.ph-ec-on{border-color:var(--x-accent);background:var(--x-accent-soft)}.ph-ec .ph-ec-turn button{border:0;padding:0.15rem 0.2rem;text-align:start;font-weight:600;color:var(--x-ink)}.ph-ec .ph-ec-turn select{width:100%;padding:0.2rem 0.4rem;direction:ltr}.ph-ec-keep{display:inline-flex;align-items:center;gap:0.45rem;margin:0.7rem 0;color:var(--x-ink-2);cursor:pointer}.ph-ec-keep input{accent-color:var(--x-accent)}.ph-ec-panel{border:1px solid var(--x-ring);border-radius:0.375rem;background:var(--x-surface);overflow:hidden}.ph-ec-head{display:flex;flex-wrap:wrap;justify-content:space-between;gap:0.3rem 1rem;padding:0.45rem 0.75rem;color:var(--x-muted);font-size:0.75rem;border-bottom:1px solid var(--x-grid)}.ph-ec-head code{direction:ltr;unicode-bidi:isolate;color:var(--x-ink)}.ph-ec-items{list-style:none;margin:0;padding:0.4rem 0}.ph-ec-item{display:flex;align-items:center;justify-content:space-between;gap:0.75rem;margin:0;padding:0.3rem 0.75rem;border-inline-start:3px solid transparent}.ph-ec-label{display:flex;flex-wrap:wrap;align-items:center;gap:0.2rem 0.6rem;min-width:0}.ph-ec-label code{direction:ltr;unicode-bidi:isolate;overflow-wrap:anywhere}.ph-ec-status{flex:none;font-size:0.72rem;color:var(--x-ink-2)}.ph-ec-cached{background:var(--x-ok-soft);border-inline-start-color:var(--x-ok)}.ph-ec-again{background:var(--x-warn-soft);border-inline-start-color:var(--x-warn)}.ph-ec-fresh{border-inline-start-color:var(--x-muted)}.ph-ec-marker .ph-ec-label{color:var(--x-accent);font-weight:600}.ph-ec-verdict{margin:0 0.75rem 0.75rem;padding:0.5rem 0.65rem;border-radius:0.375rem;line-height:1.45;background:var(--x-ok-soft)}.ph-ec-verdict-first{background:var(--x-raised)}.ph-ec-verdict-topLevel{background:var(--x-warn-soft)}.ph-ec-note{margin:0.5rem 0 0;color:var(--x-muted);font-size:0.75rem}@media (max-width: 720px){.ph-ec-turns{grid-template-columns:repeat(3, minmax(0, 1fr))}}"}],"page":{"pagePath":"ar/v1/api-reference/endpoint/video-create","slug":"/ar/v1/api-reference/endpoint/video-create","pageMetadata":{"title":"إنشاء فيديو","badge":"ألفا","openapi":"ar/openapi/v1/openapi.localized.yaml POST /videos","description":"ينشئ مهمة إنشاء فيديو غير متزامنة. استعلم عن `polling_url` المُرجع كل 20 ثانية حتى تصل المهمة إلى حالة نهائية.","href":"/ar/v1/api-reference/endpoint/video-create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"ينشئ مهمة إنشاء فيديو غير متزامنة. استعلم عن \", _jsx(_components.code, {\n children: \"polling_url\"\n }), \" المُرجع كل 20 ثانية حتى تصل المهمة إلى حالة نهائية.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`نقطة النهاية هذه في `,_jsx(_components.a,{href:`/ar/v1/developers/feature-maturity`,children:`مرحلة ألفا`}),`، وتُفعَّل لكل مساحة عمل عند الطلب. راجع `,_jsx(_components.a,{href:`/ar/v1/guides/async-video-and-batch`,children:`مهام الفيديو والمعالجة على دفعات`}),` لمعرفة الإعداد والويب هوك والتعامل مع النتائج.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"إنشاء فيديو","badge":"ألفا","openapi":"ar/openapi/v1/openapi.localized.yaml POST /videos","description":"ينشئ مهمة إنشاء فيديو غير متزامنة. استعلم عن `polling_url` المُرجع كل 20 ثانية حتى تصل المهمة إلى حالة نهائية.","href":"/ar/v1/api-reference/endpoint/video-create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"x-beta":true,"tags":["Gateway"],"operationId":"createVideo","summary":"إنشاء فيديو","description":"ينشئ مهمة إنشاء فيديو غير متزامنة. استعلم عن `polling_url` المُرجع كل 20 ثانية حتى تصل المهمة إلى حالة نهائية.","requestBody":"e4a86e54-d5c5-4d32-b72e-01564e41ae69","responses":{"202":"694865d0-ab71-4e72-9ea4-59e18ca32edf"},"method":"post","type":"path","servers":["83cdbd10-d855-49af-8441-5f50e66681b2"],"security":["cb7d5b33-f1b7-46af-b31e-9ff277e4eaeb"],"path":"/videos","baseUrlOptions":["https://api.phaseo.app/v1"],"title":"إنشاء فيديو","codeSamples":[],"requestExampleLanguages":["javascript","python","bash","go","java","php","ruby"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.model":"\u003cstring>","body.prompt":"\u003cstring>","body.models.items.0":"anthropic/claude-sonnet-5-5","body.models.items.1":"google/gemini-2.5-flash","body.duration":123,"body.input_video_duration":1800,"body.input_audio_duration":11,"body.size":"\u003cstring>","body.resolution":"\u003cstring>","body.aspect_ratio":"\u003cstring>","body.seed":123,"body.sample_count":2,"body.negative_prompt":"\u003cstring>","body.generate_audio":true,"body.enhance_prompt":true,"body.compression_quality.oneOf.0":123,"body.person_generation":"\u003cstring>","body.resize_mode":"\u003cstring>","body.input_references.items.0.oneOf.0.type":"image_url","body.input_references.items.0.oneOf.0.image_url.url":"\u003cstring>","body.input_references.items.0.oneOf.0.reference_type":"\u003cstring>","body.frame_images.items.0.type":"image_url","body.frame_images.items.0.image_url.url":"\u003cstring>","body.provider_params":{},"body.output.access":"both","body.provider.order.items.0":"\u003cstring>","body.provider.only.items.0":"\u003cstring>","body.provider.ignore.items.0":"\u003cstring>","body.provider.include_alpha":true,"body.provider.allow_fallbacks.oneOf.0":true,"body.provider.require_parameters.oneOf.0":true,"body.provider.required_execution_region.oneOf.0":"\u003cstring>","body.provider.required_data_region.oneOf.0":"\u003cstring>","body.provider.require_zero_data_retention.oneOf.0":true,"body.provider.zdr.oneOf.0":true,"body.provider.enforce_distillable_text.oneOf.0":true,"body.provider.quantizations.oneOf.0.items.0":"\u003cstring>","body.provider.sort.oneOf.0":"\u003cstring>","body.provider.max_price.prompt.oneOf.0":123,"body.provider.max_price.completion.oneOf.0":123,"body.provider.max_price.image.oneOf.0":123,"body.provider.max_price.audio.oneOf.0":123,"body.provider.max_price.request.oneOf.0":123,"body.provider.preferred_min_throughput.oneOf.0":123,"body.provider.preferred_max_latency.oneOf.0":123}]},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["model","prompt"],"properties":{"model":{"type":"string","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"prompt":{"type":"string","isRequired":true,"uniqueKey":"prompt","typeLabel":"string"},"models":{"type":"array","minItems":1,"maxItems":25,"items":{"type":"string","minLength":1,"uniqueKey":"models.items.[INDEX]","typeLabel":"string"},"description":"نماذج احتياطية اختيارية ومرتبة تُجرَّب بعد `model`. الحقل `model` مطلوب وهو دائمًا النموذج الأساسي. عندما تفشل محاولة بالرمز `429` أو `500` أو `502` أو `503` أو `504`، تُجرَّب الإدخالة التالية؛ وتُعاد الأخطاء الأخرى دون تغيير. يقبل ما يصل إلى 25 معرّف نموذج أو إعدادًا مسبقًا؛ وتُتجاهل الإدخالات المكررة والإدخالات المطابقة لـ `model`. يُتحقق من كل محاولة وتُسجَّل وتُحتسب تكلفتها كطلب مستقل، ويعرض الحقل `model` في الاستجابة وتتبّع التوجيه النموذج الذي خدم الطلب. لا تنتقل طلبات البث إلى نموذج احتياطي إلا قبل إرسال البايت الأول، ولا تنتقل مهام الفيديو والموسيقى إلا عند الإرسال. ترفض طلبات batch وrealtime وcouncil الحقل `models`. تكون الأولوية للنماذج الاحتياطية المحددة في مسار ديناميكي، ولا يمكن الجمع بين `phaseo/auto` و`models`.","example":["anthropic/claude-sonnet-5-5","google/gemini-2.5-flash"],"uniqueKey":"models","typeLabel":"string[]"},"duration":{"type":"integer","description":"المدة المطلوبة بالثواني (تعتمد على المزوّد/النموذج).","uniqueKey":"duration","typeLabel":"integer"},"input_video_duration":{"type":"number","format":"double","minimum":0,"maximum":3600,"exclusiveMinimum":true,"description":"مدة الفيديو المصدر بالثواني. مطلوبة عندما يفوتر المزوّد مدة الفيديو المصدر بشكل مستقل عن الناتج المُنشأ.","uniqueKey":"input_video_duration","typeLabel":"number\u003cdouble>"},"input_audio_duration":{"type":"number","format":"double","minimum":2,"maximum":20,"description":"مدة الصوت المصدر المعلنة بالثواني، المستخدمة للتحقق من نطاق المزوّد. قد يفوتر المزوّدون الذين لا يبلغون عن الاستخدام المعتمد وفق الحد الأعلى لمدة الإدخال المدعومة لديهم.","uniqueKey":"input_audio_duration","typeLabel":"number\u003cdouble>"},"size":{"type":"string","description":"أبعاد صريحة (مثل 1280x720). لا يمكن دمجها مع resolution أو aspect_ratio.","uniqueKey":"size","typeLabel":"string"},"resolution":{"type":"string","description":"480p و720p و1080p و1K و2K و4K. يمكن دمجها مع aspect_ratio. لا يمكن دمجها مع size.","uniqueKey":"resolution","typeLabel":"string"},"aspect_ratio":{"type":"string","description":"نسبة أبعاد مثل 16:9 أو9:16 أو1:1. يمكن دمجها مع resolution. لا يمكن دمجها مع size.","uniqueKey":"aspect_ratio","typeLabel":"string"},"seed":{"type":"integer","uniqueKey":"seed","typeLabel":"integer"},"sample_count":{"type":"integer","minimum":1,"maximum":4,"uniqueKey":"sample_count","typeLabel":"integer"},"negative_prompt":{"type":"string","uniqueKey":"negative_prompt","typeLabel":"string"},"generate_audio":{"type":"boolean","uniqueKey":"generate_audio","typeLabel":"boolean"},"enhance_prompt":{"type":"boolean","uniqueKey":"enhance_prompt","typeLabel":"boolean"},"compression_quality":{"oneOf":[{"type":"integer","description":"ضغط المخرجات. يقبل Vertex Veo القيمة optimized أو lossless ويرفض الرقم؛ أما المزوّدون الآخرون الذين يدعمونه فيقبلون عددًا صحيحًا.","uniqueKey":"compression_quality.oneOf.0","typeLabel":"integer"},{"type":"string","description":"ضغط المخرجات. يقبل Vertex Veo القيمة optimized أو lossless ويرفض الرقم؛ أما المزوّدون الآخرون الذين يدعمونه فيقبلون عددًا صحيحًا.","enum":["optimized","lossless"],"uniqueKey":"compression_quality.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"compression_quality","typeLabel":"integer | enum\u003cstring>"},"person_generation":{"type":"string","uniqueKey":"person_generation","typeLabel":"string"},"resize_mode":{"type":"string","uniqueKey":"resize_mode","typeLabel":"string"},"input_references":{"type":"array","description":"مدخلات صور أو صوت أو فيديو عبر HTTPS لتوجيه الإنشاء. تعتمد الأنواع والأدوار والأعداد والتركيبات المدعومة على النموذج المحدد. تحقق من GET /videos/models قبل إرسال مهمة. يقبل الاسم البديل المفرد للتوافق input_reference، غير المدرج في هذا المخطط، صورة multipart أو كائناً يتضمن واحداً فقط من file_id أو image_url. يعتمد الدعم على المزوّد.","items":{"oneOf":[{"type":"object","description":"مدخل وسائط HTTPS محدد النوع. استخدم image_url للصور وmedia_url للصوت أو الفيديو. تصف الأدوار كيفية استخدام النموذج للمدخل؛ ويختلف الدعم حسب المزوّد والنموذج.","required":["type","image_url"],"properties":{"type":{"type":"string","enum":["image_url"],"isRequired":true,"uniqueKey":"input_references.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"image_url":{"type":"object","required":["url"],"properties":{"url":{"type":"string","format":"uri","description":"عنوان HTTPS لصورة متاحة للعامة.","isRequired":true,"uniqueKey":"input_references.items.[INDEX].oneOf.0.image_url.url","typeLabel":"string\u003curi>"}},"isRequired":true,"uniqueKey":"input_references.items.[INDEX].oneOf.0.image_url","typeLabel":"object"},"role":{"type":"string","description":"الاستخدام المقصود لهذه الصورة من قِبل النموذج المحدد.","enum":["first_frame","last_frame","reference","source","mask"],"uniqueKey":"input_references.items.[INDEX].oneOf.0.role","typeLabel":"enum\u003cstring>"},"reference_type":{"type":"string","uniqueKey":"input_references.items.[INDEX].oneOf.0.reference_type","typeLabel":"string"}},"uniqueKey":"input_references.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","description":"مدخل وسائط HTTPS محدد النوع. استخدم image_url للصور وmedia_url للصوت أو الفيديو. تصف الأدوار كيفية استخدام النموذج للمدخل؛ ويختلف الدعم حسب المزوّد والنموذج.","required":["type","media_url"],"properties":{"type":{"type":"string","enum":["video_url","audio_url"],"isRequired":true,"uniqueKey":"input_references.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"},"media_url":{"type":"object","required":["url"],"properties":{"url":{"type":"string","format":"uri","description":"عنوان HTTPS لصوت أو فيديو متاح للعامة.","isRequired":true,"uniqueKey":"input_references.items.[INDEX].oneOf.1.media_url.url","typeLabel":"string\u003curi>"}},"isRequired":true,"uniqueKey":"input_references.items.[INDEX].oneOf.1.media_url","typeLabel":"object"},"role":{"type":"string","description":"الاستخدام المقصود لهذا الصوت أو الفيديو من قِبل النموذج المحدد.","enum":["first_frame","last_frame","reference","source","mask"],"uniqueKey":"input_references.items.[INDEX].oneOf.1.role","typeLabel":"enum\u003cstring>"},"reference_type":{"type":"string","uniqueKey":"input_references.items.[INDEX].oneOf.1.reference_type","typeLabel":"string"}},"uniqueKey":"input_references.items.[INDEX].oneOf.1","typeLabel":"object"}],"uniqueKey":"input_references.items.[INDEX]","typeLabel":"object"},"uniqueKey":"input_references","typeLabel":"object[]"},"frame_images":{"type":"array","minItems":1,"maxItems":2,"description":"صور HTTPS للإطار الأول/الأخير. يمكن أن يظهر كل frame_type مرة واحدة. لا تقدم أيضاً input_reference أو أدوار الإطارات ضمن input_references.","items":{"type":"object","additionalProperties":false,"required":["type","frame_type","image_url"],"properties":{"type":{"type":"string","enum":["image_url"],"isRequired":true,"uniqueKey":"frame_images.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"frame_type":{"type":"string","enum":["first_frame","last_frame"],"isRequired":true,"uniqueKey":"frame_images.items.[INDEX].frame_type","typeLabel":"enum\u003cstring>"},"image_url":{"type":"object","required":["url"],"properties":{"url":{"type":"string","format":"uri","isRequired":true,"uniqueKey":"frame_images.items.[INDEX].image_url.url","typeLabel":"string\u003curi>"}},"isRequired":true,"uniqueKey":"frame_images.items.[INDEX].image_url","typeLabel":"object"}},"uniqueKey":"frame_images.items.[INDEX]","typeLabel":"object"},"uniqueKey":"frame_images","typeLabel":"object[]"},"provider_params":{"type":"object","additionalProperties":true,"description":"امتدادات خاصة بالمزوّد فقط. يُرفض تمرير الطلب كاملاً وتكرار حقول التوجيه أو الموجه أو رد الاتصال أو الفوترة. على سبيل المثال، يقبل Wan 3.0 الخيار smart_duration: true ليختار النموذج المدة (لا ترسل duration معه)؛ تحجز المهمة 30 ثانية وتُحتسب المدة التي يبلغ عنها المزوّد.","uniqueKey":"provider_params","typeLabel":"object"},"provider_options":{"type":"object","additionalProperties":{"type":"object","additionalProperties":true,"uniqueKey":"provider_options.additionalProperties","typeLabel":"object"},"description":"امتدادات بمفاتيح معرّفات المزوّدين الأساسية (مثل atlascloud أو byteplus). تُمرر خيارات المزوّد المحدد فقط. لا يمكن دمجها مع provider_params. يجب أن تستخدم حقول التوجيه والموجه ورد الاتصال والمدة والدقة وعدد النواتج حقول المستوى الأعلى التي تم التحقق منها.","uniqueKey":"provider_options","typeLabel":"object"},"output":{"type":"object","properties":{"access":{"type":"string","enum":["bytes","signed_url","both"],"default":"both","description":"bytes=عنوان content_url الذي يتطلب المصادقة فقط، signed_url=روابط التنزيل الموقّعة فقط، both=تضمين الاثنين.","uniqueKey":"output.access","typeLabel":"enum\u003cstring>"}},"uniqueKey":"output","typeLabel":"object"},"webhook":{"type":"object","required":["endpoint_id"],"additionalProperties":false,"properties":{"endpoint_id":{"type":"string","description":"نقطة نهاية webhook نشطة تديرها مساحة العمل. لا يُخزن سر التوقيع المشفر والقابل للتدوير في بيانات مهمة الفيديو الوصفية أبداً.","isRequired":true,"uniqueKey":"webhook.endpoint_id","typeLabel":"string"},"events":{"type":"array","description":"اشتراكات اختيارية في الأحداث. استخدم أحداث job.* العامة أو أحداث video.* المطابقة، مثل video.status_changed أوvideo.progress أوvideo.completed. عند الإغفال تُستخدم job.status_changed وأحداث job.* النهائية. أدرج job.progress أوvideo.progress صراحةً لردود اتصال التقدم. عند توفير القائمة يجب أن يكون حدث واحد على الأقل صالحاً لمهام الفيديو؛ تُرفض القوائم غير الصحيحة أو التي تحتوي فقط على أحداث من نوع آخر.","items":{"type":"string","uniqueKey":"webhook.events.items.[INDEX]","typeLabel":"string"},"uniqueKey":"webhook.events","typeLabel":"string[]"}},"uniqueKey":"webhook","typeLabel":"object"},"provider":{"type":"object","description":"تفضيلات توجيه المزوّد لاختياره عبر البوابة.","properties":{"order":{"type":"array","items":{"type":"string","uniqueKey":"provider.order.items.[INDEX]","typeLabel":"string"},"uniqueKey":"provider.order","typeLabel":"string[]"},"only":{"type":"array","items":{"type":"string","uniqueKey":"provider.only.items.[INDEX]","typeLabel":"string"},"uniqueKey":"provider.only","typeLabel":"string[]"},"ignore":{"type":"array","items":{"type":"string","uniqueKey":"provider.ignore.items.[INDEX]","typeLabel":"string"},"uniqueKey":"provider.ignore","typeLabel":"string[]"},"include_alpha":{"type":"boolean","description":"تضمين مزوّدي alpha في التوجيه (معطّل افتراضيًا).","uniqueKey":"provider.include_alpha","typeLabel":"boolean"},"allow_fallbacks":{"oneOf":[{"type":"boolean","description":"السماح بالتحويل إلى مزوّد مؤهل آخر بعد الفشل.","uniqueKey":"provider.allow_fallbacks.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"السماح بالتحويل إلى مزوّد مؤهل آخر بعد الفشل.","uniqueKey":"provider.allow_fallbacks.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.allow_fallbacks","typeLabel":"boolean | null"},"require_parameters":{"oneOf":[{"type":"boolean","description":"اشتراط دعم المزوّد للمعلمات المطلوبة قبل التوجيه.","uniqueKey":"provider.require_parameters.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"اشتراط دعم المزوّد للمعلمات المطلوبة قبل التوجيه.","uniqueKey":"provider.require_parameters.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.require_parameters","typeLabel":"boolean | null"},"required_execution_region":{"oneOf":[{"type":"string","description":"قصر التوجيه على المزوّدين الذين لديهم منطقة التنفيذ المطلوبة.","uniqueKey":"provider.required_execution_region.oneOf.0","typeLabel":"string"},{"type":"null","description":"قصر التوجيه على المزوّدين الذين لديهم منطقة التنفيذ المطلوبة.","uniqueKey":"provider.required_execution_region.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.required_execution_region","typeLabel":"string | null"},"required_data_region":{"oneOf":[{"type":"string","description":"قصر التوجيه على المزوّدين الذين لديهم منطقة البيانات المطلوبة.","uniqueKey":"provider.required_data_region.oneOf.0","typeLabel":"string"},{"type":"null","description":"قصر التوجيه على المزوّدين الذين لديهم منطقة البيانات المطلوبة.","uniqueKey":"provider.required_data_region.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.required_data_region","typeLabel":"string | null"},"require_zero_data_retention":{"oneOf":[{"type":"boolean","description":"قصر التوجيه على المزوّدين الذين يدعمون الاحتفاظ بالبيانات لمدة صفرية.","uniqueKey":"provider.require_zero_data_retention.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"قصر التوجيه على المزوّدين الذين يدعمون الاحتفاظ بالبيانات لمدة صفرية.","uniqueKey":"provider.require_zero_data_retention.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.require_zero_data_retention","typeLabel":"boolean | null"},"data_collection":{"oneOf":[{"type":"string","description":"القيمة `allow` (الافتراضية) لا تُصفّي شيئًا. القيمة `deny` غير مدعومة بعد وتعيد الخطأ 400 unsupported_routing_filter.","enum":["allow","deny"],"uniqueKey":"provider.data_collection.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"القيمة `allow` (الافتراضية) لا تُصفّي شيئًا. القيمة `deny` غير مدعومة بعد وتعيد الخطأ 400 unsupported_routing_filter.","enum":["allow","deny"],"uniqueKey":"provider.data_collection.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.data_collection","typeLabel":"enum\u003cstring> | null"},"zdr":{"oneOf":[{"type":"boolean","uniqueKey":"provider.zdr.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"provider.zdr.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.zdr","typeLabel":"boolean | null"},"enforce_distillable_text":{"oneOf":[{"type":"boolean","description":"القيمة `false` (الافتراضية) لا تُصفّي شيئًا. القيمة `true` غير مدعومة بعد وتعيد الخطأ 400 unsupported_routing_filter.","uniqueKey":"provider.enforce_distillable_text.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"القيمة `false` (الافتراضية) لا تُصفّي شيئًا. القيمة `true` غير مدعومة بعد وتعيد الخطأ 400 unsupported_routing_filter.","uniqueKey":"provider.enforce_distillable_text.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.enforce_distillable_text","typeLabel":"boolean | null"},"quantizations":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"provider.quantizations.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"provider.quantizations.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"provider.quantizations.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider.quantizations","typeLabel":"string[] | null"},"sort":{"oneOf":[{"type":"string","description":"رتّب المزوّدين لهذا الطلب، مثلاً حسب السعر أو زمن الاستجابة أو الإنتاجية.","uniqueKey":"provider.sort.oneOf.0","typeLabel":"string"},{"type":"object","description":"رتّب المزوّدين لهذا الطلب، مثلاً حسب السعر أو زمن الاستجابة أو الإنتاجية.","additionalProperties":true,"uniqueKey":"provider.sort.oneOf.1","typeLabel":"object"}],"uniqueKey":"provider.sort","typeLabel":"string | object"},"max_price":{"type":"object","properties":{"prompt":{"oneOf":[{"type":"number","uniqueKey":"provider.max_price.prompt.oneOf.0","typeLabel":"number"},{"type":"string","uniqueKey":"provider.max_price.prompt.oneOf.1","typeLabel":"string"}],"uniqueKey":"provider.max_price.prompt","typeLabel":"number | string"},"completion":{"oneOf":[{"type":"number","uniqueKey":"provider.max_price.completion.oneOf.0","typeLabel":"number"},{"type":"string","uniqueKey":"provider.max_price.completion.oneOf.1","typeLabel":"string"}],"uniqueKey":"provider.max_price.completion","typeLabel":"number | string"},"image":{"oneOf":[{"type":"number","uniqueKey":"provider.max_price.image.oneOf.0","typeLabel":"number"},{"type":"string","uniqueKey":"provider.max_price.image.oneOf.1","typeLabel":"string"}],"uniqueKey":"provider.max_price.image","typeLabel":"number | string"},"audio":{"oneOf":[{"type":"number","uniqueKey":"provider.max_price.audio.oneOf.0","typeLabel":"number"},{"type":"string","uniqueKey":"provider.max_price.audio.oneOf.1","typeLabel":"string"}],"uniqueKey":"provider.max_price.audio","typeLabel":"number | string"},"request":{"oneOf":[{"type":"number","uniqueKey":"provider.max_price.request.oneOf.0","typeLabel":"number"},{"type":"string","uniqueKey":"provider.max_price.request.oneOf.1","typeLabel":"string"}],"uniqueKey":"provider.max_price.request","typeLabel":"number | string"}},"uniqueKey":"provider.max_price","typeLabel":"object"},"preferred_min_throughput":{"oneOf":[{"type":"number","uniqueKey":"provider.preferred_min_throughput.oneOf.0","typeLabel":"number"},{"type":"object","additionalProperties":{"type":"number","uniqueKey":"provider.preferred_min_throughput.oneOf.1.additionalProperties","typeLabel":"number"},"uniqueKey":"provider.preferred_min_throughput.oneOf.1","typeLabel":"object"}],"uniqueKey":"provider.preferred_min_throughput","typeLabel":"number | object"},"preferred_max_latency":{"oneOf":[{"type":"number","uniqueKey":"provider.preferred_max_latency.oneOf.0","typeLabel":"number"},{"type":"object","additionalProperties":{"type":"number","uniqueKey":"provider.preferred_max_latency.oneOf.1.additionalProperties","typeLabel":"number"},"uniqueKey":"provider.preferred_max_latency.oneOf.1","typeLabel":"object"}],"uniqueKey":"provider.preferred_max_latency","typeLabel":"number | object"}},"uniqueKey":"provider","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"model":"\u003cstring>","prompt":"\u003cstring>","models":["anthropic/claude-sonnet-5-5","google/gemini-2.5-flash"],"duration":123,"input_video_duration":1800,"input_audio_duration":11,"size":"\u003cstring>","resolution":"\u003cstring>","aspect_ratio":"\u003cstring>","seed":123,"sample_count":2,"negative_prompt":"\u003cstring>","generate_audio":true,"enhance_prompt":true,"compression_quality":123,"person_generation":"\u003cstring>","resize_mode":"\u003cstring>","input_references":[{"type":"image_url","image_url":{"url":"\u003cstring>"},"reference_type":"\u003cstring>"}],"frame_images":[{"type":"image_url","image_url":{"url":"\u003cstring>"}}],"provider_params":{},"provider_options":{},"output":{"access":"both"},"provider":{"order":["\u003cstring>"],"only":["\u003cstring>"],"ignore":["\u003cstring>"],"include_alpha":true,"allow_fallbacks":true,"require_parameters":true,"required_execution_region":"\u003cstring>","required_data_region":"\u003cstring>","require_zero_data_retention":true,"zdr":true,"enforce_distillable_text":true,"quantizations":["\u003cstring>"],"sort":"\u003cstring>","max_price":{"prompt":123,"completion":123,"image":123,"audio":123,"request":123},"preferred_min_throughput":123,"preferred_max_latency":123}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"694865d0-ab71-4e72-9ea4-59e18ca32edf":{"description":"استجابة الفيديو","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"id","typeLabel":"string"},"polling_url":{"type":"string","uniqueKey":"polling_url","typeLabel":"string"},"websocket_url":{"type":"string","format":"uri","description":"عنوان WebSocket للاشتراك في تحديثات دورة الحياة الموحدة للمهام غير المتزامنة.","uniqueKey":"websocket_url","typeLabel":"string\u003curi>"},"model":{"type":"string","uniqueKey":"model","typeLabel":"string"},"request_id":{"type":"string","uniqueKey":"request_id","typeLabel":"string"},"session_id":{"type":"string","uniqueKey":"session_id","typeLabel":"string"},"status":{"type":"string","enum":["queued","processing","completed","failed","cancelled","expired"],"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"lifecycle_status":{"type":"string","enum":["pending","running","completed","failed","cancelled","expired"],"description":"حالة دورة الحياة غير المتزامنة الموحدة لمستهلكي الاستطلاع وWebSocket وwebhook.","uniqueKey":"lifecycle_status","typeLabel":"enum\u003cstring>"},"cancel_url":{"oneOf":[{"type":"string","format":"uri","description":"محجوز للتوافق؛ قيمته حالياً null دائماً.","uniqueKey":"cancel_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"محجوز للتوافق؛ قيمته حالياً null دائماً.","uniqueKey":"cancel_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"cancel_url","typeLabel":"string\u003curi> | null"},"output_access":{"type":"string","enum":["bytes","signed_url","both"],"uniqueKey":"output_access","typeLabel":"enum\u003cstring>"},"generation_id":{"oneOf":[{"type":"string","uniqueKey":"generation_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"generation_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"generation_id","typeLabel":"string | null"},"native_video_id":{"oneOf":[{"type":"string","description":"معرّف الفيديو/المهمة الأصلي لدى المزوّد عندما يختلف عن معرّف البوابة.","uniqueKey":"native_video_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"معرّف الفيديو/المهمة الأصلي لدى المزوّد عندما يختلف عن معرّف البوابة.","uniqueKey":"native_video_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"native_video_id","typeLabel":"string | null"},"created_at":{"oneOf":[{"type":"integer","uniqueKey":"created_at.oneOf.0","typeLabel":"integer"},{"type":"string","uniqueKey":"created_at.oneOf.1","typeLabel":"string"}],"uniqueKey":"created_at","typeLabel":"integer | string"},"started_at":{"oneOf":[{"type":"integer","uniqueKey":"started_at.oneOf.0","typeLabel":"integer"},{"type":"string","uniqueKey":"started_at.oneOf.1","typeLabel":"string"},{"type":"null","uniqueKey":"started_at.oneOf.2","typeLabel":"null"}],"uniqueKey":"started_at","typeLabel":"integer | string | null"},"completed_at":{"oneOf":[{"type":"integer","uniqueKey":"completed_at.oneOf.0","typeLabel":"integer"},{"type":"string","uniqueKey":"completed_at.oneOf.1","typeLabel":"string"},{"type":"null","uniqueKey":"completed_at.oneOf.2","typeLabel":"null"}],"uniqueKey":"completed_at","typeLabel":"integer | string | null"},"object":{"type":"string","example":"video","uniqueKey":"object","typeLabel":"string"},"poll_after_seconds":{"type":"integer","example":20,"uniqueKey":"poll_after_seconds","typeLabel":"integer"},"provider":{"type":"string","uniqueKey":"provider","typeLabel":"string"},"seconds":{"type":"number","uniqueKey":"seconds","typeLabel":"number"},"size":{"type":"string","uniqueKey":"size","typeLabel":"string"},"audio":{"type":"boolean","uniqueKey":"audio","typeLabel":"boolean"},"content_url":{"type":"string","description":"موجود عندما يتضمن output_access القيمة bytes (نقطة نهاية تتطلب المصادقة).","uniqueKey":"content_url","typeLabel":"string"},"download_url":{"oneOf":[{"type":"string","description":"عنوان URL موقّع من الطرف الأول للتنزيل المباشر عندما تكون الحالة completed.","uniqueKey":"download_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"عنوان URL موقّع من الطرف الأول للتنزيل المباشر عندما تكون الحالة completed.","uniqueKey":"download_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"download_url","typeLabel":"string | null"},"expires_at":{"oneOf":[{"type":"integer","description":"طابع Unix الزمني (بالثواني) لانتهاء صلاحية download_url الموقّع.","uniqueKey":"expires_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"طابع Unix الزمني (بالثواني) لانتهاء صلاحية download_url الموقّع.","uniqueKey":"expires_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"expires_at","typeLabel":"integer | null"},"progress":{"oneOf":[{"type":"integer","uniqueKey":"progress.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"progress.oneOf.1","typeLabel":"null"}],"uniqueKey":"progress","typeLabel":"integer | null"},"progress_source":{"type":"string","uniqueKey":"progress_source","typeLabel":"string"},"asset":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","uniqueKey":"asset.oneOf.0.id","typeLabel":"string"},"mime_type":{"type":"string","uniqueKey":"asset.oneOf.0.mime_type","typeLabel":"string"},"bytes":{"type":"integer","uniqueKey":"asset.oneOf.0.bytes","typeLabel":"integer"},"sha256":{"type":"string","uniqueKey":"asset.oneOf.0.sha256","typeLabel":"string"},"width":{"type":"integer","uniqueKey":"asset.oneOf.0.width","typeLabel":"integer"},"height":{"type":"integer","uniqueKey":"asset.oneOf.0.height","typeLabel":"integer"},"duration_seconds":{"type":"number","uniqueKey":"asset.oneOf.0.duration_seconds","typeLabel":"number"}},"uniqueKey":"asset.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string"},"mime_type":{"type":"string"},"bytes":{"type":"integer"},"sha256":{"type":"string"},"width":{"type":"integer"},"height":{"type":"integer"},"duration_seconds":{"type":"number"}},"uniqueKey":"asset.oneOf.1","typeLabel":"null"}],"uniqueKey":"asset","typeLabel":"object | null"},"outputs":{"type":"array","items":{"type":"object","properties":{"index":{"type":"integer","uniqueKey":"outputs.items.[INDEX].index","typeLabel":"integer"},"mime_type":{"type":"string","uniqueKey":"outputs.items.[INDEX].mime_type","typeLabel":"string"},"bytes_available":{"type":"boolean","uniqueKey":"outputs.items.[INDEX].bytes_available","typeLabel":"boolean"},"content_url":{"type":"string","description":"موجود عندما يتضمن output_access القيمة bytes.","uniqueKey":"outputs.items.[INDEX].content_url","typeLabel":"string"},"download_url":{"type":"string","description":"عنوان URL موقّع من الطرف الأول لهذا الناتج.","uniqueKey":"outputs.items.[INDEX].download_url","typeLabel":"string"},"expires_at":{"type":"integer","description":"طابع Unix الزمني (بالثواني) لانتهاء صلاحية عنوان URL لهذا الناتج.","uniqueKey":"outputs.items.[INDEX].expires_at","typeLabel":"integer"}},"uniqueKey":"outputs.items.[INDEX]","typeLabel":"object"},"uniqueKey":"outputs","typeLabel":"object[]"},"billing":{"type":"object","properties":{"currency":{"type":"string","uniqueKey":"billing.currency","typeLabel":"string"},"estimated_provider_cost":{"oneOf":[{"type":"string","uniqueKey":"billing.estimated_provider_cost.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.estimated_provider_cost.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.estimated_provider_cost","typeLabel":"string | null"},"estimated_user_cost":{"oneOf":[{"type":"string","uniqueKey":"billing.estimated_user_cost.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.estimated_user_cost.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.estimated_user_cost","typeLabel":"string | null"},"settled_provider_cost":{"oneOf":[{"type":"string","uniqueKey":"billing.settled_provider_cost.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.settled_provider_cost.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.settled_provider_cost","typeLabel":"string | null"},"settled_user_cost":{"oneOf":[{"type":"string","uniqueKey":"billing.settled_user_cost.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.settled_user_cost.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.settled_user_cost","typeLabel":"string | null"},"state":{"type":"string","enum":["pending","estimated","settled","void"],"uniqueKey":"billing.state","typeLabel":"enum\u003cstring>"},"billable":{"type":"boolean","uniqueKey":"billing.billable","typeLabel":"boolean"},"total_nanos":{"oneOf":[{"type":"integer","uniqueKey":"billing.total_nanos.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"billing.total_nanos.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.total_nanos","typeLabel":"integer | null"},"estimated_nanos":{"oneOf":[{"type":"integer","uniqueKey":"billing.estimated_nanos.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"billing.estimated_nanos.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.estimated_nanos","typeLabel":"integer | null"},"reserved_nanos":{"oneOf":[{"type":"integer","uniqueKey":"billing.reserved_nanos.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"billing.reserved_nanos.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.reserved_nanos","typeLabel":"integer | null"},"reservation_id":{"oneOf":[{"type":"string","uniqueKey":"billing.reservation_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.reservation_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.reservation_id","typeLabel":"string | null"},"reservation_status":{"oneOf":[{"type":"string","uniqueKey":"billing.reservation_status.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.reservation_status.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.reservation_status","typeLabel":"string | null"},"charge_reason":{"oneOf":[{"type":"string","uniqueKey":"billing.charge_reason.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.charge_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.charge_reason","typeLabel":"string | null"},"charged":{"oneOf":[{"type":"boolean","uniqueKey":"billing.charged.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"billing.charged.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.charged","typeLabel":"boolean | null"},"billed_at":{"type":"string","uniqueKey":"billing.billed_at","typeLabel":"string"}},"additionalProperties":true,"uniqueKey":"billing","typeLabel":"object"},"webhook":{"type":"object","description":"إعداد webhook غير المتزامن بعد تنقيح البيانات الحساسة مع حالة التسليم. لا تُرجع الأسرار أبداً؛ يشير `has_secret` إلى تفعيل عمليات التسليم الموقّعة. تتضمن عمليات التسليم الموقّعة ترويسات x-phaseo-signature وx-phaseo-timestamp وx-phaseo-event-id وx-phaseo-event-type وx-phaseo-delivery-key وx-phaseo-attempt وx-phaseo-max-attempts.","properties":{"url":{"oneOf":[{"type":"string","format":"uri","uniqueKey":"webhook.url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","uniqueKey":"webhook.url.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.url","typeLabel":"string\u003curi> | null"},"events":{"type":"array","items":{"type":"string","uniqueKey":"webhook.events.items.[INDEX]","typeLabel":"string"},"uniqueKey":"webhook.events","typeLabel":"string[]"},"has_secret":{"type":"boolean","uniqueKey":"webhook.has_secret","typeLabel":"boolean"},"delivery":{"type":"object","description":"ملخص تسليم عام لخطافات webhook غير المتزامنة التي تديرها البوابة. استخدمه للتمييز بين حالة تنفيذ المهمة وسلامة تسليم webhook.","properties":{"total_attempts":{"type":"integer","description":"إجمالي محاولات التسليم المسجلة لهذه المهمة.","uniqueKey":"webhook.delivery.total_attempts","typeLabel":"integer"},"delivered_events":{"type":"integer","description":"عدد مفاتيح التسليم التي وصلت إلى حالة التسليم الناجح.","uniqueKey":"webhook.delivery.delivered_events","typeLabel":"integer"},"delivered_event_types":{"type":"array","description":"مفاتيح التسليم التي سُلّمت مرة واحدة على الأقل.","items":{"type":"string","uniqueKey":"webhook.delivery.delivered_event_types.items.[INDEX]","typeLabel":"string"},"example":["video.completed"],"uniqueKey":"webhook.delivery.delivered_event_types","typeLabel":"string[]"},"pending_retries":{"type":"integer","description":"عدد مفاتيح التسليم المجدولة حالياً لإعادة المحاولة.","uniqueKey":"webhook.delivery.pending_retries","typeLabel":"integer"},"next_retry_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني لإعادة المحاولة المجدولة التالية، إن وجد.","uniqueKey":"webhook.delivery.next_retry_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني لإعادة المحاولة المجدولة التالية، إن وجد.","uniqueKey":"webhook.delivery.next_retry_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.delivery.next_retry_at","typeLabel":"string | null"},"last_attempt_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني لأحدث محاولة تسليم.","uniqueKey":"webhook.delivery.last_attempt_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني لأحدث محاولة تسليم.","uniqueKey":"webhook.delivery.last_attempt_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.delivery.last_attempt_at","typeLabel":"string | null"},"last_attempt_status":{"oneOf":[{"type":"string","enum":["delivered","scheduled_retry","failed_permanently"],"description":"نتيجة أحدث محاولة تسليم.","uniqueKey":"webhook.delivery.last_attempt_status.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["delivered","scheduled_retry","failed_permanently"],"description":"نتيجة أحدث محاولة تسليم.","uniqueKey":"webhook.delivery.last_attempt_status.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.delivery.last_attempt_status","typeLabel":"enum\u003cstring> | null"},"last_response_status":{"oneOf":[{"type":"integer","description":"حالة HTTP التي ترجعها وجهة webhook، إن توفرت.","uniqueKey":"webhook.delivery.last_response_status.oneOf.0","typeLabel":"integer"},{"type":"null","description":"حالة HTTP التي ترجعها وجهة webhook، إن توفرت.","uniqueKey":"webhook.delivery.last_response_status.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.delivery.last_response_status","typeLabel":"integer | null"},"last_delivered_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني لأحدث تسليم ناجح.","uniqueKey":"webhook.delivery.last_delivered_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني لأحدث تسليم ناجح.","uniqueKey":"webhook.delivery.last_delivered_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.delivery.last_delivered_at","typeLabel":"string | null"},"last_failure_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني لأحدث محاولة فاشلة أو قيد إعادة المحاولة.","uniqueKey":"webhook.delivery.last_failure_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني لأحدث محاولة فاشلة أو قيد إعادة المحاولة.","uniqueKey":"webhook.delivery.last_failure_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.delivery.last_failure_at","typeLabel":"string | null"},"last_error_message":{"oneOf":[{"type":"string","description":"أحدث رسالة خطأ في التسليم، إن توفرت.","uniqueKey":"webhook.delivery.last_error_message.oneOf.0","typeLabel":"string"},{"type":"null","description":"أحدث رسالة خطأ في التسليم، إن توفرت.","uniqueKey":"webhook.delivery.last_error_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.delivery.last_error_message","typeLabel":"string | null"}},"uniqueKey":"webhook.delivery","typeLabel":"object"},"attempts":{"type":"array","items":{"type":"object","description":"محاولة تسليم حديثة لخطاف webhook غير متزامن تديره البوابة.","properties":{"id":{"type":"string","description":"معرّف ثابت للمحاولة لأغراض التدقيق وتصحيح الأخطاء.","uniqueKey":"webhook.attempts.items.[INDEX].id","typeLabel":"string"},"delivery_key":{"type":"string","description":"مفتاح عدم تكرار الأثر لتسليم هذا الحدث.","example":"video.completed","uniqueKey":"webhook.attempts.items.[INDEX].delivery_key","typeLabel":"string"},"event_type":{"type":"string","description":"نوع الحدث الذي سُلّم إلى وجهة webhook.","example":"video.completed","uniqueKey":"webhook.attempts.items.[INDEX].event_type","typeLabel":"string"},"status":{"type":"string","enum":["delivered","scheduled_retry","failed_permanently"],"uniqueKey":"webhook.attempts.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"attempt_number":{"type":"integer","description":"رقم المحاولة لمفتاح التسليم هذا، بدءاً من واحد.","uniqueKey":"webhook.attempts.items.[INDEX].attempt_number","typeLabel":"integer"},"max_attempts":{"type":"integer","description":"الحد الأقصى للمحاولات قبل وضع علامة فشل دائم على التسليم.","uniqueKey":"webhook.attempts.items.[INDEX].max_attempts","typeLabel":"integer"},"tried_at":{"type":"string","description":"طابع ISO الزمني عند إجراء هذه المحاولة.","uniqueKey":"webhook.attempts.items.[INDEX].tried_at","typeLabel":"string"},"delivered_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني عند نجاح تسليم هذه المحاولة.","uniqueKey":"webhook.attempts.items.[INDEX].delivered_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني عند نجاح تسليم هذه المحاولة.","uniqueKey":"webhook.attempts.items.[INDEX].delivered_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.attempts.items.[INDEX].delivered_at","typeLabel":"string | null"},"next_retry_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني لإعادة المحاولة التالية بعد هذه المحاولة، إن جُدولت.","uniqueKey":"webhook.attempts.items.[INDEX].next_retry_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني لإعادة المحاولة التالية بعد هذه المحاولة، إن جُدولت.","uniqueKey":"webhook.attempts.items.[INDEX].next_retry_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.attempts.items.[INDEX].next_retry_at","typeLabel":"string | null"},"response_status":{"oneOf":[{"type":"integer","description":"حالة HTTP التي ترجعها وجهة webhook، إن توفرت.","uniqueKey":"webhook.attempts.items.[INDEX].response_status.oneOf.0","typeLabel":"integer"},{"type":"null","description":"حالة HTTP التي ترجعها وجهة webhook، إن توفرت.","uniqueKey":"webhook.attempts.items.[INDEX].response_status.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.attempts.items.[INDEX].response_status","typeLabel":"integer | null"},"error_message":{"oneOf":[{"type":"string","description":"رسالة خطأ التسليم، إن توفرت.","uniqueKey":"webhook.attempts.items.[INDEX].error_message.oneOf.0","typeLabel":"string"},{"type":"null","description":"رسالة خطأ التسليم، إن توفرت.","uniqueKey":"webhook.attempts.items.[INDEX].error_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.attempts.items.[INDEX].error_message","typeLabel":"string | null"},"response_body_preview":{"oneOf":[{"type":"string","description":"معاينة منقحة من البيانات الحساسة لجسم استجابة وجهة webhook.","uniqueKey":"webhook.attempts.items.[INDEX].response_body_preview.oneOf.0","typeLabel":"string"},{"type":"null","description":"معاينة منقحة من البيانات الحساسة لجسم استجابة وجهة webhook.","uniqueKey":"webhook.attempts.items.[INDEX].response_body_preview.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook.attempts.items.[INDEX].response_body_preview","typeLabel":"string | null"}},"uniqueKey":"webhook.attempts.items.[INDEX]","typeLabel":"object"},"uniqueKey":"webhook.attempts","typeLabel":"object[]"}},"uniqueKey":"webhook","typeLabel":"object"},"next_webhook_retry_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني لإعادة محاولة webhook المستخدم المجدولة التالية، إن كانت في قائمة الانتظار.","uniqueKey":"next_webhook_retry_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني لإعادة محاولة webhook المستخدم المجدولة التالية، إن كانت في قائمة الانتظار.","uniqueKey":"next_webhook_retry_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"next_webhook_retry_at","typeLabel":"string | null"},"last_webhook_progress":{"oneOf":[{"type":"number","description":"أحدث فئة تقدم تقريبية أُرسلت إلى مستهلكي webhook.","uniqueKey":"last_webhook_progress.oneOf.0","typeLabel":"number"},{"type":"null","description":"أحدث فئة تقدم تقريبية أُرسلت إلى مستهلكي webhook.","uniqueKey":"last_webhook_progress.oneOf.1","typeLabel":"null"}],"uniqueKey":"last_webhook_progress","typeLabel":"number | null"},"last_webhook_progress_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني عند إرسال أحدث فئة تقدم لـwebhook.","uniqueKey":"last_webhook_progress_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني عند إرسال أحدث فئة تقدم لـwebhook.","uniqueKey":"last_webhook_progress_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"last_webhook_progress_at","typeLabel":"string | null"},"last_webhook_dispatched_at":{"oneOf":[{"type":"string","description":"طابع ISO الزمني لأحدث محاولة إرسال webhook.","uniqueKey":"last_webhook_dispatched_at.oneOf.0","typeLabel":"string"},{"type":"null","description":"طابع ISO الزمني لأحدث محاولة إرسال webhook.","uniqueKey":"last_webhook_dispatched_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"last_webhook_dispatched_at","typeLabel":"string | null"},"usage":{"type":"object","properties":{"cost":{"type":"number","uniqueKey":"usage.cost","typeLabel":"number"},"is_byok":{"type":"boolean","uniqueKey":"usage.is_byok","typeLabel":"boolean"}},"additionalProperties":true,"uniqueKey":"usage","typeLabel":"object"},"error":{"oneOf":[{},{"type":"null","uniqueKey":"error.oneOf.1","typeLabel":"null"}],"uniqueKey":"error","typeLabel":"null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","polling_url":"\u003cstring>","websocket_url":"\u003cstring>","model":"\u003cstring>","request_id":"\u003cstring>","session_id":"\u003cstring>","status":"queued","lifecycle_status":"pending","cancel_url":"\u003cstring>","output_access":"bytes","generation_id":"\u003cstring>","native_video_id":"\u003cstring>","created_at":123,"started_at":123,"completed_at":123,"object":"video","poll_after_seconds":20,"provider":"\u003cstring>","seconds":123,"size":"\u003cstring>","audio":true,"content_url":"\u003cstring>","download_url":"\u003cstring>","expires_at":123,"progress":123,"progress_source":"\u003cstring>","asset":{"id":"\u003cstring>","mime_type":"\u003cstring>","bytes":123,"sha256":"\u003cstring>","width":123,"height":123,"duration_seconds":123},"outputs":[{"index":123,"mime_type":"\u003cstring>","bytes_available":true,"content_url":"\u003cstring>","download_url":"\u003cstring>","expires_at":123}],"billing":{"currency":"\u003cstring>","estimated_provider_cost":"\u003cstring>","estimated_user_cost":"\u003cstring>","settled_provider_cost":"\u003cstring>","settled_user_cost":"\u003cstring>","state":"pending","billable":true,"total_nanos":123,"estimated_nanos":123,"reserved_nanos":123,"reservation_id":"\u003cstring>","reservation_status":"\u003cstring>","charge_reason":"\u003cstring>","charged":true,"billed_at":"\u003cstring>"},"webhook":{"url":"\u003cstring>","events":["\u003cstring>"],"has_secret":true,"delivery":{"total_attempts":123,"delivered_events":123,"delivered_event_types":["video.completed"],"pending_retries":123,"next_retry_at":"\u003cstring>","last_attempt_at":"\u003cstring>","last_attempt_status":"delivered","last_response_status":123,"last_delivered_at":"\u003cstring>","last_failure_at":"\u003cstring>","last_error_message":"\u003cstring>"},"attempts":[{"id":"\u003cstring>","delivery_key":"video.completed","event_type":"video.completed","status":"delivered","attempt_number":123,"max_attempts":123,"tried_at":"\u003cstring>","delivered_at":"\u003cstring>","next_retry_at":"\u003cstring>","response_status":123,"error_message":"\u003cstring>","response_body_preview":"\u003cstring>"}]},"next_webhook_retry_at":"\u003cstring>","last_webhook_progress":123,"last_webhook_progress_at":"\u003cstring>","last_webhook_dispatched_at":"\u003cstring>","usage":{"cost":123,"is_byok":true},"error":"\u003cunknown>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"cb7d5b33-f1b7-46af-b31e-9ff277e4eaeb":{"BearerAuth":{"type":"http","scheme":"bearer","description":"المصادقة باستخدام رمز Bearer","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"83cdbd10-d855-49af-8441-5f50e66681b2":{"url":"https://api.phaseo.app/v1","description":"التوجيه العالمي"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"المصادقة باستخدام رمز Bearer","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"المصادقة باستخدام رمز Bearer","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"ar/openapi/v1/openapi.localized.yaml"},"subdomain":"aistats","siteName":"Phaseo Docs","title":"إنشاء فيديو - Phaseo Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/v1/api-reference/endpoint/video-create","matchLevel":1},"es":{"href":"/es/v1/api-reference/endpoint/video-create","matchLevel":1},"fr":{"href":"/fr/v1/api-reference/endpoint/video-create","matchLevel":
[...]
